unit Ebin;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls,sysUtils,
  tradFormU, constgti, graphe, spin;

type
  TEntreeBinDlg = class(TTradForm)
    NbreBinSE: TSpinEdit;
    Label1: TLabel;
    OKBtn: TBitBtn;
    DesactiveBtn: TBitBtn;
    Memo: TMemo;
    procedure OKBtnClick(Sender: TObject);
    procedure DesactiveBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure NbreBinSEChange(Sender: TObject);
  private
    oldActive : boolean;
    oldNbre : integer;
  public
    modif : boolean;
  end;

var
  EntreeBinDlg: TEntreeBinDlg;

implementation

{$R *.DFM}

procedure TEntreeBinDlg.OKBtnClick(Sender: TObject);
begin
     EntreeBinaire.active := true;
     modif := not oldActive or (oldNbre<>entreeBinaire.NbreEB)
end;

procedure TEntreeBinDlg.DesactiveBtnClick(Sender: TObject);
begin
     EntreeBinaire.active := false;
     modif := oldActive;
end;

procedure TEntreeBinDlg.FormActivate(Sender: TObject);
begin
     NbreBinSE.value := entreeBinaire.NbreEB;
     oldNbre := entreeBinaire.NbreEB;
     oldActive := EntreeBinaire.active; 
     modif := false;
end;

procedure TEntreeBinDlg.NbreBinSEChange(Sender: TObject);
begin
     EntreeBinaire.NbreEB := NbreBinSE.value;
     memo.lines[3] := trMSB+IntToStr(7+EntreeBinaire.NbreEB)
end;

end.
