unit Listecap;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls,
  gtidef, graphe, gtiutil, tradFormU, constgti, parser10;

type
  TListeCapteursDlg = class(TtradForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    ListeCapteursBox: TListBox;
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
  public
     voie : indiceVoie;
  end;

var
  ListeCapteursDlg: TListeCapteursDlg;

implementation

uses Gtimain;

{$R *.DFM}

procedure TListeCapteursDlg.FormActivate(Sender: TObject);
var i : integer;
begin with ListeCapteursBox.Items do begin
     Clear;
     for i := 0 to pred(listeCapteur.count) do
        Add(ListeCapteur.items[i].nomC+' '+
            ListeCapteur.items[i].signifC);
     ListeCapteursBox.itemIndex := 0;
end end;

procedure TListeCapteursDlg.OKBtnClick(Sender: TObject);
var capteurCourant : TCapteur;
begin with voieEA[voie] do begin
    CapteurCourant := listeCapteur.items[ListeCapteursBox.itemIndex];
    with CapteurCourant do begin
            nom := nomC;
            nomUnite := nomUniteC;
            signif := signifC;
            if linearC
               then etalonnage := eLin
               else etalonnage := eNonLin;
            numeroOrphy := numeroC;
            Valeur0V := Val0Vc;
            Valeur5V := Val5Vc;
            aide := aideC;
            Calibre := CalibreC;
            Tension := TensionC;
            Inverse := valeur5V<valeur0V;
            AmpliPhysique := AmpliPhysiqueC;
            if AmpliPhysique then begin
                  numeroOrphy := 2;
                  afficheErreur(erAmpli,0);
            end;
            Alimentation := AlimentationC;
            if Alimentation then begin
                 numeroOrphy := 2;
                 afficheErreur(erAlim,0);
            end;
            avecPotar := AvecPotarC;
            if etalonnage=eNonLin then begin
               expression := expressionC;
               calculPente;
            end;
    end;
end end;

end.
