unit MagnumStop;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TMagnumStopDlg = class(TForm)
    OKBtn: TBitBtn;
    Timer: TTimer;
    Label2: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TimerTimer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    N : integer;
  public
  end;

var
  MagnumStopDlg: TMagnumStopDlg;

implementation

uses Gtimain;

{$R *.DFM}

procedure TMagnumStopDlg.OKBtnClick(Sender: TObject);
begin
    timer.enabled := false;
    GTIMainForm.stopMagnum;
    hide;
end;

procedure TMagnumStopDlg.FormClose(Sender: TObject;var Action: TCloseAction);
begin
    timer.enabled := false;
end;

procedure TMagnumStopDlg.TimerTimer(Sender: TObject);
const carac : array[boolean] of char = (' ','s');
begin
     dec(N);
     if N=0
        then OKbtnClick(nil)
        else label2.caption := 'Arrt dans '+intToStr(N)+' seconde'+carac[N>1]
end;

procedure TMagnumStopDlg.FormActivate(Sender: TObject);
begin
     N := GtiMainForm.MagnumSE.value+1;
     label2.visible := GtiMainForm.MagnumAutoCB.checked;
     timer.enabled := GtiMainForm.MagnumAutoCB.checked;
     if timer.enabled then timerTimer(nil);
end;

end.
