unit ABOUT;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, sysUtils, tradFormU, shellApi, Dialogs;

type
  TAboutBox = class(TtradForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    Label1: TLabel;
    VersionOrphyLabel: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    DebugLabel: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

uses Gtimain;

{$R *.DFM}

procedure TAboutBox.FormActivate(Sender: TObject);
begin
     VersionOrphyLabel.caption := GtiMainForm.versionOrphy+' COM'+intToStr(GTImainForm.VoieSerie.comNumber);
{$IFDEF DEBUG}
     debugLabel.visible := true;
{$ELSE}
     debugLabel.visible := false; 
{$ENDIF}
end;

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourGTI.html';
begin
  if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
     ShowMessage('Impossible d''accder  '+Filename)
end;

end.

