unit Clavier;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls,
  gtiUtil, graphe, sysutils, maths, tradFormU;

type
  TClavierDlg = class(TtradForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GrandeurGB: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    LabelMin: TLabel;
    LabelMax: TLabel;
    EditNom: TEdit;
    EditUnite: TEdit;
    EditMin: TEdit;
    EditMax: TEdit;
    EditSignif: TEdit;
    Label3: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  ClavierDlg: TClavierDlg;

implementation

{$R *.DFM}

procedure TClavierDlg.OKBtnClick(Sender: TObject);
begin  with EntreeClavier do begin
          Nom := EditNom.text;
          if nom='' then nom := 'Z';          
          NomUnite := EditUnite.text;
          Signif := EditSignif.text;          
          active := true;
          Mini := StrToFloatWin(EditMin.text);
          if mini=sansSignif then Mini := 0;
          Maxi := StrToFloatWin(EditMax.text);
          if maxi=sansSignif then maxi := 5;
          VerifMinMaxReal(mini,maxi);
end end;

procedure TClavierDlg.FormActivate(Sender: TObject);
begin with entreeClavier do begin
       EditNom.text := nom;
       EditUnite.text := nomUnite;
       EditSignif.text := Signif;       
       EditMin.text := FloatToStr(mini);
       EditMax.text := FloatToStr(maxi);
end end;

end.
