program GTI;

uses
  Forms,
  Gtimain in 'Gtimain.pas' {GTImainForm},
  GTIUTIL in 'GTIUTIL.PAS',
  GRAPHE in 'GRAPHE.PAS',
  MATHS in 'MATHS.PAS',
  UNITEKER in 'UNITEKER.PAS',
  SYNCHRO in 'SYNCHRO.PAS' {SynchroDlg},
  MODEDLG in 'MODEDLG.PAS' {modeAcqDlg},
  GTICFG in 'GTICFG.PAS' {OrphyGtiDlg},
  gticonst in 'gticonst.pas' {ConstanteDlg},
  efront in 'efront.pas' {EfrontDlg},
  clavier in 'clavier.pas' {ClavierDlg},
  GTIDDE in 'GTIDDE.PAS' {FormDDE},
  AcqSADlg in 'AcqSADlg.pas' {AcqSortieAnaDlg},
  Gtidef in 'Gtidef.pas',
  ETALON in 'ETALON.PAS' {EtalonneInterDlg},
  CAPCFG in 'CAPCFG.PAS' {CapteurCfgDlg},
  CONSTGTI in 'CONSTGTI.PAS',
  LISTECAP in 'LISTECAP.PAS' {ListeCapteursDlg},
  Ebin in 'Ebin.pas' {EntreeBinDlg},
  GBF in 'GBF.PAS' {GBFForm},
  sbdlg in 'sbdlg.pas' {SortieBinDlg},
  Oneinst in 'Oneinst.pas',
  TradFormU in 'TradFormU.pas',
  Fft in 'Fft.pas',
  optPro in 'optPro.pas' {OptionsDlg},
  MagnumDlg in 'MagnumDlg.pas' {MagnumCfg},
  MagnumU in 'MagnumU.pas',
  MagnumStop in 'MagnumStop.pas' {MagnumStopDlg},
  about in 'about.pas' {AboutBox},
  choixCapAuto in 'choixCapAuto.pas' {CapteurAutoDlg},
  capAutocfg in 'capAutocfg.pas' {CapteurAutoCfgDlg},
  ETALONAuto in 'ETALONAuto.PAS' {EtalonneAutoDlg},
  SADlg in 'SADlg.pas' {SortieAnaDlg},
  VerifRom in 'VerifRom.pas' {VerifRomDlg},
  gbf_syntaxe in 'gbf_syntaxe.pas' {SyntaxeDlg},
  CHOIXCAP in 'CHOIXCAP.PAS' {ChoixCapteursDlg};

{$R *.RES}

begin
  Application.Title := 'GTI';
  Application.HelpFile := 'GTI.HLP';
  EnsureSingleInstance;
  Application.CreateForm(TGTImainForm, GTImainForm);
  Application.CreateForm(TSynchroDlg, SynchroDlg);
  Application.CreateForm(TmodeAcqDlg, modeAcqDlg);
  Application.CreateForm(TOrphyGtiDlg, OrphyGtiDlg);
  Application.CreateForm(TConstanteDlg, ConstanteDlg);
  Application.CreateForm(TFormDDE, FormDDE);
  Application.CreateForm(TListeCapteursDlg, ListeCapteursDlg);
  Application.CreateForm(TSyntaxeDlg, SyntaxeDlg);
  Application.CreateForm(TChoixCapteursDlg, ChoixCapteursDlg);
  Application.Run;
end.
