unit Gticonst;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, SysUtils, dialogs, Grids,
  constGti, gtimain, gtiutil, tradFormU, maths;

type
  TConstanteDlg = class(TtradForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    GroupBox1: TGroupBox;
    EditComm: TEdit;
    NewPageCB: TRadioGroup;
    GroupBox2: TGroupBox;
    ConstGrid: TStringGrid;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
  public
  end;

var
  ConstanteDlg: TConstanteDlg;

implementation

{$R *.DFM}

procedure TConstanteDlg.OKBtnClick(Sender: TObject);
var i : integer;
    strValeur : string;
begin with GtiMainForm,ConstGrid do begin
     for i := 1 to 3 do begin
        nomConstante[i] := cells[0,i];
        uniteConstante[i] := cells[1,i];
        StrValeur := cells[2,i];
        TrimComplet(strValeur);
        if StrValeur=''
           then valeurConstante[i] := sansSignif
           else begin
           valeurConstante[i] := StrToFloatWin(strValeur);
           if valeurConstante[i]=sansSignif then begin
               afficheErreur(erNombre,0);
               col := 2;
               row := i;
               ConstGrid.setFocus;
               self.modalResult := mrNone;
           end;
        end;
     end;
     commentaire := editComm.text;
end end;

procedure TConstanteDlg.FormActivate(Sender: TObject);
var i : integer;
begin with GtiMainForm do begin
     for i := 1 to 3 do with constGrid do begin
        cells[0,i] := nomConstante[i];
        cells[1,i] := uniteConstante[i];
     end;
     editComm.text := commentaire;
end end;

procedure TConstanteDlg.FormCreate(Sender: TObject);
var i : integer;
begin with ConstGrid do begin
      cells[0,0] := 'Nom';
      cells[1,0] := 'Unit';
      cells[2,0] := 'Valeur';
      for i := 1 to 3 do
          cells[2,i] := '';
end end;

procedure TConstanteDlg.HelpBtnClick(Sender: TObject);
begin
     Application.HelpContext(7)
end;

procedure TConstanteDlg.CancelBtnClick(Sender: TObject);
var i : integer;
begin with GtiMainForm,ConstGrid do
     for i := 1 to 3 do begin
        nomConstante[i] := cells[0,i];
        uniteConstante[i] := cells[1,i];
     end;
end;

end.
