unit Gtimain;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, Registry,
  ComCtrls, ToolWin, ImgList, LnsWin32, math,
  AdPort, oomisc, awuser, spin, clipBrd, inifiles, XPMan,
  gtiUtil, uniteker, gtidef, maths, graphe, fft, tradFormU,
  gtidde, choixCap, constGti, GBF, FloatEdit, MagnumU, about;

const
   DeltatRepere = 0.5;

type                               
  Tcodage = record case byte of
       1 : (octets : array[0..3] of AnsiChar);
       2 : (indexG,indexH,indexI,indexJ : byte);
       3 : (bits : array[0..3] of byte);
  end;

  TGTImainForm = class(TForm)
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    VoieSerie: TApdComPort;
    PanelVoies: TPanel;
    GroupBox5: TGroupBox;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    EBinGB: TGroupBox;
    Label4: TLabel;
    GroupBox4: TGroupBox;
    Label5: TLabel;
    PanelMode: TPanel;
    SynchroGB: TGroupBox;
    MemoSynchro: TMemo;
    BalayageGB: TGroupBox;
    DureeEdit: TEdit;
    DureeSpin: TSpinButton;
    NbreEdit: TEdit;
    ModeGB: TGroupBox;
    Timer: TTimer;
    MemoMode: TMemo;
    PanelCourbe: TPanel;
    Oscillo: TPaintBox;
    NombreSpin: TSpinButton;
    SortieAnaGB: TGroupBox;
    ClavierGB: TGroupBox;
    LabelAna: TLabel;
    FrequenceGB: TGroupBox;
    LabelFreq: TLabel;
    ClavierEdit: TEdit;
    PointGB: TGroupBox;
    PointAutoCB: TCheckBox;
    OrphyAbsent: TPanel;
    Label6: TLabel;
    ComBtn: TSpeedButton;
    GroupBox6: TGroupBox;
    Label8: TLabel;
    EscapeBtn: TSpeedButton;
    Label10: TLabel;
    WaitPanel: TPanel;
    LabelUtilitaire: TLabel;
    Label13: TLabel;
    DeltatEdit: TEdit;
    DeltatSpin: TSpinButton;
    FechEdit: TEdit;
    FechSpin: TSpinButton;
    Label12: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Menu: TPopupMenu;
    AproposItem: TMenuItem;
    SortieBinGB: TGroupBox;
    Label17: TLabel;
    GTBFItem: TMenuItem;
    ImageList: TImageList;
    Label7: TLabel;
    PanelFFT: TPanel;
    HanningBtn: TSpeedButton;
    RectangleBtn: TSpeedButton;
    NbreSpin: TSpinButton;
    OptionsItem: TMenuItem;
    PleinEcranItem: TMenuItem;
    VoltmetreItem: TMenuItem;
    ModeDeconnecteItem: TMenuItem;
    MagnumGB: TGroupBox;
    LabelMagnum: TLabel;
    OptionsMagnumGB: TGroupBox;
    MagnumAutoCB: TCheckBox;
    MagnumSE: TSpinEdit;
    Label9: TLabel;
    IncrementBtn: TSpeedButton;
    ContinuerCB: TCheckBox;
    RazComItem: TMenuItem;
    StatusBar: TStatusBar;
    MonocoupCB: TCheckBox;
    XPManifest1: TXPManifest;
    ChuteLabel: TLabel;
    TP_Menu: TPopupMenu;
    PhaseValeureff1: TMenuItem;
    PhaseTBF1: TMenuItem;
    Gauge: TProgressBar;
    ConfigActuelle: TMenuItem;
    PanelDuree: TPanel;
    ConflitBT_COM: TLabel;
    ComTestLabel: TLabel;
    ToolBar1: TToolBar;
    EnregistreBtn: TToolButton;
    ContinuerBtn: TToolButton;
    StopBtn: TToolButton;
    ResetBtn: TToolButton;
    UndoBtn: TToolButton;
    RegSaveBtn: TToolButton;
    FileMenu: TPopupMenu;
    FileSaveItem: TMenuItem;
    ClipSaveItem: TMenuItem;
    MenuItem4: TMenuItem;
    CapteursItem: TMenuItem;
    MenuItem17: TMenuItem;
    SaveConfigBtn0: TMenuItem;
    OpenCconfigBtn0: TMenuItem;
    HelpBtn0: TToolButton;
    Quitter1: TMenuItem;
    RepereBtn: TToolButton;
    FFTbtn: TToolButton;
    RecoBtn: TToolButton;
    FileBtn0: TToolButton;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    PlusBtn0: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure ShowHint(Sender: TObject);
    procedure FileOpen(Sender: TObject);
    procedure FileSaveAs(Sender: TObject);
    procedure FileExit(Sender: TObject);
    procedure HelpAbout(Sender: TObject);
    procedure SynchroItemClick(Sender: TObject);
    procedure ModeItemClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure EnregistreBtnClick(Sender: TObject);
    procedure OscilloPaint(Sender: TObject);
    procedure NombreDownClick(Sender: TObject);
    procedure NombreUpClick(Sender: TObject);
    procedure DureeSpinDownClick(Sender: TObject);
    procedure DureeSpinUpClick(Sender: TObject);
    procedure FrequenceGBClick(Sender: TObject);
    procedure VoieAnaClick(Sender: TObject);
    procedure ClavierGBClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RegSaveBtnClick(Sender: TObject);
    procedure ClipSaveBtnClick(Sender: TObject);
    procedure FileSaveBtnClick(Sender: TObject);
    procedure UndoBtnClick(Sender: TObject);
    procedure TriggerAvailBin(CP: TObject; Count: Word);
    procedure TriggerAvailAsc(CP: TObject; Count: Word);
    procedure TriggerAvailMinMax(CP: TObject; Count: Word);
    procedure SortieAnaGBClick(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure ClavierEditKeyPress(Sender: TObject; var Key: Char);
    procedure CapteursItemClick(Sender: TObject);
    procedure OscilloMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure OscilloMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure OscilloMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ComBtnClick(Sender: TObject);
    procedure EBinGBClick(Sender: TObject);
    procedure PointAutoCBClick(Sender: TObject);
    procedure EscapeBtnClick(Sender: TObject);
    procedure DeltatSpinDownClick(Sender: TObject);
    procedure DeltatSpinUpClick(Sender: TObject);
    procedure DureeEditKeyPress(Sender: TObject; var Key: Char);
    procedure NbreEditKeyPress(Sender: TObject; var Key: Char);
    procedure DeltatEditKeyPress(Sender: TObject; var Key: Char);
    procedure FechEditKeyPress(Sender: TObject; var Key: Char);
    procedure DureeEditExit(Sender: TObject);
    procedure NbreEditExit(Sender: TObject);
    procedure DeltatEditExit(Sender: TObject);
    procedure FechEditExit(Sender: TObject);
    procedure PlusBtnClick(Sender: TObject);
    procedure GTBFItemClick(Sender: TObject);
    procedure SortieBinGBClick(Sender: TObject);
    procedure RepereBtnClick(Sender: TObject);
    procedure PleinEcranItemClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FFTbtnClick(Sender: TObject);
    procedure NbreSpinDownClick(Sender: TObject);
    procedure NbreSpinUpClick(Sender: TObject);
    procedure HanningBtnClick(Sender: TObject);
    procedure OptionsItemClick(Sender: TObject);
    procedure PanelSplitDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure VoltmetreItemClick(Sender: TObject);
    procedure ContinuerBtnClick(Sender: TObject);
    procedure ModeDeconnecteItemClick(Sender: TObject);
    procedure MenuPopup(Sender: TObject);
    procedure MagnumGBClick(Sender: TObject);
    procedure IncrementBtnClick(Sender: TObject);
    procedure RazComItemClick(Sender: TObject);
    procedure MagnumSEChange(Sender: TObject);
    procedure RecoBtnClick(Sender: TObject);
    procedure CapteursAutoItemClick(Sender: TObject);
    procedure MonocoupCBClick(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ConfigActuelleClick(Sender: TObject);
    procedure FileBtn0Click(Sender: TObject);
    private
      etatAcq : TetatAcq;
      GrecActif : boolean;
      TestROM : boolean;
      LectureMinMaxTerminee : boolean;
      OrdreProgramme,OrdreYPEminmax,ordreLance,ordreResul : shortString;
      OrdreParamPreAcq : shortString;
      OrphyPresent,monocoupTemporaire : boolean;
      chaineLue : shortString;
      voieCourante : indiceVoie;
      voieSuivante : array[indiceVoie] of indiceVoie;
      VoieDebut : indiceVoie;
      PremiereAcquisition : boolean;
      UtilSeuilCharge,UtilRecoCharge,PreAcqEnCours : boolean;
      Curseur : Tcurseur;
      PointCurseur : Tpoint;
      premiereFois,PremierTest : boolean;
      CompteurRom,compteur : word;
      ReactiverGTI : boolean;
      premierOctet : boolean;
      motLu : word;
      VersRegressi : boolean;
      YPEactif : boolean;
      NbreMesureReveil,NbreAttenteReveil : integer;
      indexMagnum : TindexMagnum;
      valeurMagnum : array[TindexMagnum] of byte;
      GP305SB,GP305SA,oldGP305SB : integer;
      sauveTimer : boolean;
      numeroVersion : integer;
      repertoireGTI : string;
      priseInitialisee : array[12..15] of boolean;
    procedure AppMessage(var Msg: TMsg; var Handled: Boolean);
    Procedure MarquePointCourant;
    Procedure EffacePointCourant;    
    Procedure EnvoieOrdreMinMax;
    procedure AfficheSynchro;
    procedure InitAttente;
    procedure LitPointAttente;
    Procedure EnregistrePointCourant;
    Procedure LanceAcqTemps;
    Procedure LanceAcqSA;    
    Procedure LanceAcqMagnum;
    procedure RegleTimer;
    Procedure testOrphy(ChercheComi : boolean);
    Procedure SetBoutons;
    Procedure MajTemps;
    Procedure SetDuree;
    Procedure SetDeltat;
    Procedure AjusteDeltat;
    Procedure setNombre;
    Procedure ChargeUtil(chargeSeuil,chargeAuto : boolean);
    Procedure TraceLignes;
    procedure MajFFT;
    Procedure ModifNbreFFT(plus : boolean);
    Procedure SetYbin;
    Procedure SetSizeVoie;
    procedure HaltPreAcquisition;
    procedure NbreAffNul;
    procedure videInBuffer(commande : shortString);
    procedure videBuffers;
    Function WaitCR(commande : shortString;timeOut : integer) : boolean;
    Function GetNombre(var Anombre : integer) : boolean;
    Function GetNombreBin(var Anombre : integer) : boolean;    
    Procedure setModeTemporel;
    Function Reconnaissance : boolean;
    function IsPortAvailable(ComNum : Cardinal) : Boolean;
    public
      NbreVoie : integer;
      ModeDeconnecte : boolean;
      FichierConfig : string;
      LectureFreq : boolean;
      YbinActif : boolean;
      SauverConfig : boolean;
      VitesseCom,NumCom : integer;
      NbreInter,NbreInterMax,NbreInterPlus : integer;
      nomConstante : array[1..3] of string;
      uniteConstante : array[1..3] of string;
      commentaire : string;
      valeurConstante : array[1..3] of double;
      ModeTemporel : TmodeTemporel;
      CfgGTIPath : string;
      sousEchantillon : boolean;
      MajTimer,MajTimerEffectif : integer;
      DebutAcquisition,YPEtime,DerniereSauvegarde : TdateTime;
      versionOrphy : shortString;
      withDeltat : boolean;
      avecRecoAuto : boolean;
      CaractereGrecCtrl : boolean;
      ValeurMot : pseudoWord;
      procedure ecritOrphy(ordre : shortString);
      Function getValeurAsc(commande : shortString) : word;
      Function getValeurDump : word;
      Function litFrequence : double;
      procedure RegleFrequence;
      procedure LitConfig(NomFichier : string;avecConst : boolean);
      procedure SauveConfig(nomFichier : string);
      procedure AfficheReglage;
      procedure StopMagnum;
      Procedure SetYasc(complet : boolean);
      Procedure WEpotar(voie,adrP,valeurP : integer);
      Procedure WMpotar(voie,adrP : integer);
      Procedure WRpotar(voie : integer);
      Procedure SetLectureParametres;
      Procedure FinLectureParametres;
   protected
      procedure WMFileLoad(var Msg : TMessage); message WM_File_Load;
      procedure WMSetFocus(var Msg: Tmessage); message wm_SetFocus;
   public
   end;

var
  GTImainForm: TGTImainForm;

implementation

uses synchro,modeDlg,Efront,gticfg,gticonst,clavier,sadlg,sbdlg,ebin,
  optPro, MagnumDlg, MagnumStop, choixCapAuto, SysInfoCtrls,
  AcqSADlg, VerifRom;

{$R *.DFM}

function TGTImainForm.IsPortAvailable(ComNum : Cardinal) : Boolean;

  function MakeComName(const Dest : PChar; const ComNum : Cardinal) : PChar;
    // -Return a Pchar like 'COMXX'
  begin
    StrFmt(Dest,'\\.\COM%d',[ComNum]);
    MakeComName := Dest;
  end;

var
  ComName : array[0..12] of Char;
  Res : Integer;
  DeviceLayer : TApdBaseDispatcher;
begin
  DeviceLayer  := TApdWin32Dispatcher.Create(nil);
  try
    if (ComNum = 0)
    then Result := False
    else begin
      Res := DeviceLayer.OpenCom(MakeComName(ComName,ComNum), 64, 64);
      if (Res < 0) and (GetLastError <> DWORD(Abs(ecAccessDenied)))
        then Result := False
        else begin
          Result := True;
          DeviceLayer.CloseCom;
        end;
    end;
  finally
    DeviceLayer.Free;
  end;
end;

procedure TGtiMainForm.AppMessage(var Msg: TMsg; var Handled: Boolean);

function NonCouperCopier : boolean;
var EditCtrl : TcustomEdit;
begin
   NonCouperCopier := true;
   if ( (msg.Wparam=24) or (msg.Wparam=3) ) and
      (Screen.ActiveControl is TCustomEdit)
      then begin
          EditCtrl := Screen.ActiveControl as TCustomEdit;
          if EditCtrl.SelLength > 0 then begin
             case msg.Wparam of
                 24 : EditCtrl.CutToClipBoard;
                 3 :  EditCtrl.CopyToClipBoard;
             end;
             Handled := true;
             NonCouperCopier := false;
          end;
   end;
end;

const
         GrecMaj : array[1..26] of char =
  (alphaMaj,betaMaj,chiMaj,deltaMaj,epsilonMaj,phiMaj,gammaMaj,etaMaj,iotaMaj,
   psiMaj,kappaMaj,lambdaMaj,muMaj,nuMaj,videMaj,piMaj,thetaMaj,rhoMaj,sigmaMaj,
   tauMaj,upsilonMaj,'V',omegaMaj,xiMaj,'Y',zetaMaj);

        GrecMin : array[1..26] of char =
  (alpha,beta,chi,delta,epsilon,phi,gamma,eta,iota,
   psi,kappa,lambda,mu,nu,omicron,piMin,theta,rho,sigma,
   tau,upsilon,'v',omega,xi,'y',zeta);

var codeCarac : byte;   
begin with Msg do
     if Message=wm_char then if CaractereGrecCtrl
     then begin
            if (Wparam>0) and (Wparam<=26) then
             if (GetKeyState(vk_control)<0) then
                 if (GetKeyState(vk_shift)<0) or
                    (GetKeyState(vk_capital)<0)
                    then Wparam := ord(GrecMaj[Wparam])
                    else if (Wparam<>22) and NonCouperCopier
                      { Edition Windows copier coller couper }
                         then Wparam := ord(GrecMin[Wparam]);
    end
    else if (Wparam=7) and (GetKeyState(vk_control)<0)
            then GrecActif := true
            else begin
                if GrecActif then begin
                   CodeCarac := Wparam-ord('A')+1;
                   if CodeCarac<=26 then Wparam := ord(GrecMaj[CodeCarac])
                      else begin
                        CodeCarac := Wparam-ord('a')+1;
                        if CodeCarac<=26 then Wparam := ord(GrecMin[codeCarac]);
                      end;
                end;      
                GrecActif := false;
           end
end;

procedure TgtiMainForm.LitConfig(NomFichier : string;avecConst : boolean);
var Fichier : tMemIniFile;
    voie : indiceVoie;
    Nrepere,i : integer;
begin
     nomFichier := changeFileExt(nomFichier,'.GTI');
     if not FileExists(nomFichier) then exit;
     Fichier := tMemIniFile.create(NomFichier);
     with Fichier,grapheGTI do begin
       for i := 1 to 3 do if avecConst
          then begin
             nomConstante[i] := readString('Constante','Nom'+intToStr(i),'');
             uniteConstante[i] := readString('Constante','Unite'+intToStr(i),'');
          end
          else begin
             nomConstante[i] := '';
             uniteConstante[i] := '';
          end;
       if avecConst
          then commentaire := readString('Constante','Commm','')
          else commentaire := '';
       compteurRom := readInteger('Utilisation','Compteur',0);
       voieAbscisse := ReadInteger('Affichage','Abscisse',voieA);
       oTraceLigne := ReadBool('Affichage','Ligne',true);
       oTracePoints := ReadBool('Affichage','Points',false);
       quadrillage := ReadBool('Affichage','Grille',false);
       avecRecoAuto := ReadBool('Capteurs','Auto',false);
       AnalyseurLogique := ReadBool('Affichage','AnalLog',false);
       modeAcq := TmodeAcq(readInteger('Acquisition','Mode',0));
       BaseDeTemps.DureeBalayage :=  readFloat('Balayage','Dure',1.0);
       NbreInter := readInteger('Balayage','Nombre',128);
       if NbreInter<MinPoints then NbreInter := MinPoints;
       NbreInterMax := readInteger('Balayage','NombreMaxi',8192);
       DebutAcquisition := readDateTime('Balayage','DebutAcq',now);
       derniereSauvegarde := debutAcquisition;       
       if NbreInterMax<1024
          then NbreInterMax := 1024
          else if NbreInterMax>32768 then NbreInterMax := 32768;
       if NbreInter>NbreInterMax then NbreInter := NbreInterMax;
       SousEchantillon  := readBool('Balayage','Elimine',true);
       BaseDeTemps.Deltat := BaseDeTemps.DureeBalayage/NbreInter;
       montant := readBool('Synchro','Montant',true);
       Monocoup := ReadBool('Synchro','Monocoup',true);
       PointAutoCB.checked := ReadBool('Point','Auto',true);
       GTBFitem.checked := ReadBool('GTBF','Actif',false);
       if GTBFItem.checked then begin
          if GBFform=nil then GBFform := TGBFform.create(self);
          GBFform.visible := true;
       end;
       AvecUnAxe := ReadBool('Affichage','AxeY',true);
       seuilSynchro := readInteger('Synchro','Seuil',0);
       voieSynchro := readInteger('Synchro','Voie',voieA);
       if voieSynchro<voieA then voieSynchro := voieA;
       if voieSynchro>voieAnaMax then voieSynchro := voieA;       
       BaseDeTemps.preAcq10 := readInteger('Synchro','PreAcquisition',0);
       Front := ReadInteger('Synchro','Front',0);
       modeSynchro := TModeSynchro(readInteger('Synchro','Mode',0));
       dimPoint := fichier.readInteger('Affichage','DimPoint',dimPoint);
       magnum.load('Magnum',fichier);
       magnum.active := fichier.ReadBool('Magnum','Active',false);
       magnumSE.value := magnum.attente;
       sortieAnalogique.load('SA',fichier);
       sortieBinaire.load('SB',fichier);
       entreeBinaire.load('EB',fichier);
       frequence.load('f',fichier);
       entreeClavier.load('Clavier',fichier);
       for voie := voieA to VoieAnaMax do
           voieOrphy[voie].load('V'+IntToStr(voie-voieA+1),fichier);
       if avecConst and SectionExists('Repere') and modeDeconnecte then begin
           Nrepere := ReadInteger('Repere','Nombre',0);
           for i := 0 to pred(Nrepere) do
               grapheGTI.AjouteRepere(
                  ReadFloat('Repere','Valeur'+intToSTr(i),0),
                  ReadString('Repere','Texte'+intToStr(i),''));
       end;
    end;                                                                    
    AjusteDeltat;
    fichier.free;
    monocoupTemporaire := false;
    FichierConfig := ChangeFileExt(NomFichier,'');
end; // litConfig

Procedure TgtiMainForm.SauveConfig(nomFichier : string);
var Fichier : tMemIniFile;
    i : integer;
    voie : indiceVoie;
begin
   try
   nomFichier := changeFileExt(nomFichier,'.GTI');
   Fichier := tMemIniFile.create(nomFichier);
   with fichier,grapheGTI do begin
       for i := 1 to 3 do begin
           WriteString('Constante','Nom'+intToStr(i),nomConstante[i]);
           WriteString('Constante','Unit'+intToStr(i),UniteConstante[i]);
       end;
       WriteString('Constante','Comm',Commentaire);
       inc(compteurRom);
       if compteurRom>32 then compteurRom := 0;
       WriteInteger('Utilisation','Compteur',compteurRom);
       WriteInteger('Affichage','Abscisse',voieAbscisse);
       WriteBool('Affichage','Ligne',oTraceLigne);
       WriteBool('Affichage','Points',oTracePoints);
       WriteInteger('Acquisition','Mode',ord(modeAcq));
       WriteFloat('Balayage','Dure',BaseDeTemps.dureeBalayage);
       WriteInteger('Balayage','Nombre',NbreInter);
       WriteInteger('Balayage','NombreMaxi',NbreInterMax);
       WriteBool('Balayage','Elimine',SousEchantillon);
       WriteBool('Capteurs','Auto',avecRecoAuto);       
       writeDateTime('Balayage','DebutAcq',debutAcquisition);
       WriteBool('Synchro','Monocoup',monocoup and not monocoupTemporaire);
       WriteBool('Synchro','Montant',montant);
       WriteBool('Affichage','AxeY',avecUnAxe);
       WriteBool('Affichage','Grille',quadrillage);
       WriteBool('Affichage','AnalLog',AnalyseurLogique);
       WriteInteger('Affichage','DimPoint',dimPoint);
       WriteBool('Point','Auto',pointAutoCB.checked);
       WriteBool('GTBF','Actif',GTBFitem.checked);
       WriteInteger('Synchro','Seuil',seuilSynchro);
       WriteInteger('Synchro','Voie',voieSynchro);
       WriteInteger('Synchro','Mode',ord(modeSynchro));
       WriteInteger('Synchro','Front',Front);
       WriteInteger('Synchro','PreAcquisition',BaseDeTemps.preAcq10);
       WriteBool('Magnum','Active',magnum.active);
       Magnum.store('Magnum',fichier);
       sortieAnalogique.store('SA',fichier);
       sortieBinaire.store('SB',fichier);
       entreeBinaire.store('EB',fichier);
       frequence.store('f',fichier);
       entreeClavier.store('Clavier',fichier);
       for voie := voieA to VoieAnaMax do
           voieOrphy[voie].store('V'+IntToStr(voie-voieA+1),fichier);
       if modeDeconnecte and (ListeRepere.count>0) then begin
           WriteInteger('Repere','Nombre',ListeRepere.count);
           for i := 0 to pred(ListeRepere.count) do
               with Trepere(listeRepere[i]) do begin
                  WriteFloat('Repere','Valeur'+intToSTr(i),valeur);
                  WriteString('Repere','Texte'+intToStr(i),text);
               end;
       end
       else EraseSection('Repere');
   end;
   fichier.updateFile;
   Fichier.free;
   except
      afficheErreur('Erreur d''criture du fichier',0);
   end;
end; // SauveConfig

{$I Acqgti.pas}

procedure TGTImainForm.FormCreate(Sender: TObject);

Procedure ValeurDefaut;
var FichierIni : TRegIniFile;
    i : integer;
begin
       fichierConfig := '';
       ReactiverGTI := false;
       curseur := curNone;
       preAcqEnCours := false;
       NbreInter := 128;
       NbreInterMax := 4096;
       BaseDeTemps.DureeBalayage := 1.0;
       BaseDeTemps.Deltat := BaseDeTemps.DureeBalayage/NbreInter;
       for i := 1 to 3 do begin
          nomConstante[i] := '';
          uniteConstante[i] := '';
          valeurConstante[i] := sansSignif;
       end;
       commentaire := '';
       PremiereFois := true;
       PremierTest := true;
       ModeDeconnecte := false;
       VersRegressi := false;
       orphyPresent := false;
       etatAcq := eaTerminee;
       ModeTemporel := mNormal;
       monocoupTemporaire := false;
       CapteursItem.visible := existeOption('C',true);
       OptionsItem.visible := existeOption('O',true);
       FichierIni := TRegIniFile.create(RegistreGTI);
       SauverConfig := FichierIni.ReadBool('Acquisition','Defaut',false);
       WithDeltat := FichierIni.ReadBool('FreqEch','Permis',true);
       SupprChute0 := FichierIni.ReadBool('Magnum','Chute0',true);
       NumCom := FichierIni.readInteger('COM','Num',1);
       VitesseCom := FichierIni.readInteger('COM','Vitesse',2);
       TestROM := FichierIni.readBool('TestROM','Permis',true);
       CaractereGrecCtrl := FichierIni.readBool('Grec','Ctrl',true);
       If vitesseCom>2 then VitesseCom := 2;
       MajTimer := FichierIni.readInteger('TIMER','interval',110);
       CfgGTIPath := FichierIni.readString('Config','Path',AppDataDir);
       ModeDeconnecte := FichierIni.readBool('Deconnecte','Actif',false);
       YbinActif := false;
       FichierIni.free;
       DecimalSeparator := '.';
       Application.UpdateFormatSettings := false;
       SousEchantillon := true;
       BaseDeTemps.preAcq10 := 0;
end;

var i : integer;
    voie : indiceVoie;
begin
  Application.OnHint := ShowHint;
  Application.OnMessage := AppMessage;
  grapheGti := TgrapheGti.create;
  grapheGti.canvas := oscillo.canvas;
  oscillo.canvas.font.name := 'Calibri';
  ValeurDefaut;
  with PanelVoies do
     for i := 0 to pred(controlCount) do begin
         voie := TGroupBox(controls[i]).tag;
         with grapheGti.VoieOrphy[voie] do begin
              GroupBox := TgroupBox(controls[i]);
              LabelVoie := Tlabel(TgroupBox(controls[i]).controls[0]);
         end;
     end;
end; // FormCreate

procedure TGTImainForm.ShowHint(Sender: TObject);
begin
   if Application.Hint=''
      then Caption := trAcqGTI+' ['+ExtractFileName(FichierConfig)+']'
      else Caption := Application.Hint
end;

procedure TGTImainForm.FileOpen(Sender: TObject);
begin
    SetLectureParametres;
    OpenDialog.filter := 'Configuration GTI|*.GTI';
    OpenDialog.initialDir := CfgGTIPath;
    if OpenDialog.Execute
       then begin
         LitConfig(OpenDialog.FileName,true);
         afficheReglage;
       end
       else finLectureParametres;
end;

procedure TGTImainForm.FileSaveAs(Sender: TObject);
begin
  setLectureParametres;
  saveDialog.defaultExt := 'gti';
  saveDialog.filter := 'Configuration GTI|*.GTI';
  saveDialog.initialDir := cfgGTIpath;
  if SaveDialog.Execute then
     sauveConfig(SaveDialog.FileName);
  finLectureParametres;
end;

procedure TGTImainForm.FileBtn0Click(Sender: TObject);
begin
    (sender as TtoolButton).CheckMenuDropdown
end;

procedure TGTImainForm.FileExit(Sender: TObject);
begin
   Close
end;

procedure TGTImainForm.HelpAbout(Sender: TObject);
begin
    if AboutBox=nil then
       Application.CreateForm(TAboutBox, AboutBox);
    AboutBox.ShowModal;
end;

procedure TGTImainForm.ecritOrphy(ordre : shortString);
begin
    if orphyPresent then begin
        ChaineLue := '';
        VoieSerie.FlushInBuffer;
        VoieSerie.OutPut := ordre+crCR;
    end;
end;

procedure TGTImainForm.HaltPreAcquisition;
const OrdreFinPreAcq = 'YUTIL 8 I 41088';
begin
        videInBuffer(ordreFinPreAcq);
        preAcqEnCours := false;
end;

Procedure TGTImainForm.SetLectureParametres;
begin
     sauveTimer := timer.enabled;
     Timer.enabled := false;
     DureeSpin.enabled := false;
     NombreSpin.enabled := false;
     if (grapheGti.modeAcq in [AcqTemps,AcqMagnum]) and
        (etatAcq in [eaAttenteResul,eaMajResul]) then begin
        statusBar.simpleText := hVideBuffer;
        if PreAcqEnCours
           then HaltPreAcquisition
           else VideInBuffer('YHALT');
        YpeActif := false;
        ContinuerBtn.enabled := false;
        etatAcq := eaTerminee;
        statusBar.simpleText := '';        
     end;
end;

Procedure TGTImainForm.FinLectureParametres;
begin
     timer.enabled := sauveTimer;
     DureeSpin.enabled := true;
     NombreSpin.enabled := true;
     oscillo.refresh;
     if grapheGti.modeAcq=AcqTemps then
     if resetBtn.enabled
        then resetBtnClick(nil)
        else initAttente;
end;

Function tGTImainForm.getValeurAsc(commande : shortString) : word;
begin
    if waitCR(commande,5) { 1/5 s }
       then begin
          try
            result := strToInt(chaineLue);
          except
            result := 0;
          end
       end   
       else result := 0   
end;

Function tGTImainForm.getValeurDump : word;
var valeur : word;
    i : integer;

function valeurHexa(C : AnsiChar) : integer;
begin
    if C in ['0'..'9']
       then result := ord(C)-ord('0')
       else result := 10+ord(C)-ord('A')
end;

const commande = 'YDUMP X ?381C0000';
begin
    if waitCR(commande,4) // 0.22 s > 0.05 s
       then begin
          try
            chaineLue := copy(chaineLue,6,length(chaineLue)-2); // 381C,7FF
            valeur := 0;
            for i := 1 to length(chaineLue) do
                valeur := valeur*16+valeurHexa(chaineLue[i]);
            result := valeur;
          except
            result := 0;
          end
       end
       else result := 0
end;

Procedure tGTImainForm.MarquePointCourant;
var voie : indiceVoie;
begin
   if not(grapheGTI.reticuleTrace) then 
   for voie := succ(voieT) to VoieMax do
       with grapheGti.voieOrphy[voie] do
            if active and (voie<>grapheGti.voieAbscisse) then
               grapheGti.traceReticule(voie);
   for voie := succ(voieT) to VoieMax do
       with grapheGti.voieOrphy[voie] do
          if active and
             not (voie in [voieClavier,voieMagnum]) then
                LabelVoie.caption := AffVoltmetre;
   grapheGti.ReticuleTrace := true;
end;

Procedure tGTImainForm.EffacePointCourant;
var voie : indiceVoie;
begin
   if grapheGTI.reticuleTrace then 
   for voie := succ(voieT) to VoieMax do
       with grapheGti.voieOrphy[voie] do
            if active and (voie<>grapheGti.voieAbscisse) then
               grapheGti.traceReticule(voie);
   grapheGti.ReticuleTrace := false;
end;

procedure tGTImainForm.AfficheSynchro;
var prompt : array[1..3] of string;
    i : integer;
begin with grapheGti do begin
   for i := 1 to 3 do prompt[i] := '';
   if modeAcq<>AcqPoint then with BaseDeTemps do begin
        Mini := -PreAcqExact*deltat;
        if modeAcq<>AcqMagnum then
           for i := 0 to MaxVecteur do
               vecteurAff[i] := deltat*i+mini; { seconde }
        Maxi := Mini+DureeBalayage;
  end;
  if voieSynchro<voieA then voieSynchro := voieA;
  if voieSynchro>voieAnaMax then voieSynchro := voieA;
  if ModeAcq=AcqTemps then with voieOrphy[voieSynchro] do begin
     if (modeTemporel=mRapide) and
        ( (modeSynchro=s_seuil) or
          (modeSynchro=s_front) ) then modeSynchro := s_clavier;
     Prompt[1] := nomSynchro(modeSynchro);
     case modeSynchro of
       S_seuil : begin
         prompt[2] := Fleche[montant];
         prompt[2] := prompt[2]+formatUniteBrute(valeurReal(seuilSynchro));
         prompt[1] := prompt[1]+' '+nom;
         ordreLance := 'YGO A '+voieOrphy[voieSynchro].codeVoie+' '+
                     codeMontant[montant]+' '+intToStr(seuilSynchro)+
                     ' 256 0';
         if BaseDeTemps.preAcq10>0 then
            prompt[3] := trPreAcq+' : '+IntToStr(BaseDeTemps.preAcq10)+'0 %';
          MonocoupCB.checked := monocoup;
          MonocoupCB.enabled := true;
       end;
       S_front : begin
          prompt[1] := Fleche[montant];
          Prompt[1] := trFront+' EF'+char(Front+ord('0'))+' '+Prompt[1];
          ecritOrphy('YCONFEF '+char(Front+ord('0'))+' '+codeMontant[montant]+' 1 1');
          MonocoupCB.checked := monocoup;
          MonocoupCB.enabled := true;
       end;
       S_relaxe : begin
          Monocoup := false;
          MonocoupCB.checked := false;
          MonocoupCB.enabled := false;
       end;
       S_clavier : begin
          Monocoup := true;
          MonocoupCB.checked := true;
          MonocoupCB.enabled := false;
       end;
    end;{case}
  end;
  MemoSynchro.Clear;
  for i := 1 to 3 do if prompt[i]<>'' then MemoSynchro.lines.Add(Prompt[i]);
  MemoSynchro.Perform(wm_keyUp,vk_control,0);
  MemoSynchro.Perform(wm_keyUp,vk_home,0);
//  curseur en dbut de memo ; sinon saut de ligne
end end;{afficheSynchro}

procedure tGTImainForm.AfficheReglage;

Procedure regleMinMax;
var voie : indiceVoie;
    N : integer;
begin
   MajTimerEffectif := MajTimer;
   if grapheGTI.modeAcq in [AcqPoint,AcqClavier,AcqSA] then begin
      N := 0;
      for voie := voieA to voieAnaMax do
         with TentreeAna(grapheGti.voieOrphy[voie]) do
              if active then if modeEA=eaDirect
                 then inc(N,55)
                 else inc(N,round(BaseDeTemps.dureeMinMax*1000));
      if majTimer<N then MajTimerEffectif := N;
   end;
end;

procedure AfficheVoieX;
var voie : indiceVoie;
begin with grapheGti do begin
   BalayageGB.visible := modeAcq in [AcqTemps,AcqSA];
   ContinuerCB.visible := monocoup and (NbreInterPlus>NbreInter);
   if not ContinuerCB.visible then ContinuerCB.checked := false; 
   PointGB.visible := modeAcq=AcqPoint;
   MagnumGB.visible := modeAcq=AcqMagnum;
   OptionsMagnumGB.visible := modeAcq=AcqMagnum;
   SynchroGB.visible := modeAcq=AcqTemps;
   entreeClavier.active := modeAcq=AcqClavier;
   ClavierGB.visible := modeAcq=AcqClavier;
   FrequenceGB.visible := modeAcq<>AcqTemps;
   SortieAnaGB.visible := modeAcq in [AcqTemps,AcqSA];
   SortieBinGB.visible := modeAcq=AcqTemps;
   MemoMode.lines.clear;
   MemoMode.Lines.Add(nomModeAcq(ModeAcq));
   if not oTraceLigne and not oTracePoints then oTracePoints := true;
   panelDuree.visible := false;
   SortieAnaGB.visible := (GBFform=nil) or not GBFform.visible;
   case modeAcq of
        AcqSA : begin
           NbreInter := sortieAnalogique.NbreInterSA;
           if (BaseDeTemps.deltat<0.1) then BaseDeTemps.deltat := 0.1;
           BaseDeTemps.DureeBalayage := BaseDeTemps.deltat*NbreInter;
           DureeEdit.text := chaineDuree(BaseDeTemps.DureeBalayage);
           NbreEdit.text := IntToStr(NbreInter);
           NbreEdit.enabled := false;
           NbreSpin.enabled := false;
           DeltatEdit.text := chaineDuree(BaseDeTemps.deltat);
           FechEdit.text := FrequenceU.formatUnite(1/BaseDeTemps.deltat);
           RegleTimer;
           NombreSpin.visible := false;
        end;
        AcqTemps : begin
           with sortieAnalogique do
              if active then NbreInter := NbreInterSA;
           with sortieBinaire do
              if active then NbreInter := NbreInterSB;
           DureeEdit.text := chaineDuree(BaseDeTemps.DureeBalayage);
           NbreEdit.text := IntToStr(NbreInter);
           NbreEdit.enabled := not sortieAnalogique.active and
                               not sortieBinaire.active;
           NbreSpin.enabled := not sortieBinaire.active;
           DeltatEdit.text := chaineDuree(BaseDeTemps.deltat);
           FechEdit.text := FrequenceU.formatUnite(1/BaseDeTemps.deltat);
           Timer.interval := majTimerEffectif;
           RegleTimer;
           NombreSpin.visible := not SortieAnalogique.active and
                                 not sortieBinaire.active;
           panelDuree.visible := BaseDeTemps.dureeBalayage>15;
           if (modeSynchro=s_seuil) and not voieOrphy[voieSynchro].active then
               for voie := voieA to voieAnaMax do
                   if voieOrphy[voie].active then begin
                      voieSynchro := voie;
                      break
                   end;
       end;
       AcqMagnum : begin
           BalayageGB.visible := false;
           SynchroGB.visible := false;
           Gauge.Max := 512;
           Timer.interval := 1000;
           for voie := voieSA to voieMax do
               voieOrphy[voie].active := false;
           voieOrphy[voieMagnum].active := true;
           if chuteMagnum
                then chuteLabel.Caption := 'Chute'
                else chuteLabel.Caption := 'Oscillations';
           voieOrphy[voieT].axeLog := false;     
       end;
       AcqPoint,AcqClavier : begin
           if frequence.active and (frequence.modeEF0<>'M')
              then Timer.interval := 10*55
              else Timer.interval := majTimerEffectif
       end;
       AcqGP305 : begin
           frequence.active := true;
           Timer.interval := 10*55;
           frequence.modeEF0 := 'F';
       end;
   end;
   MemoMode.lines.add(trAbscisse+'='+voieOrphy[voieAbscisse].nom);
   Gauge.visible := modeAcq in [AcqTemps,AcqMagnum]; 
   with frequence do begin
      IncrementBtn.down := decrementer;
      IncrementBtn.visible := active and (ModeEF0='M');
      if ModeEF0='M'
         then begin
            LabelFreq.left := 24;
            if (valeurCourante>maxi) or
               (valeurCourante<mini) then valeurCourante := mini;
         end
         else LabelFreq.left := 4;
      LabelFreq.caption := affVoltmetre;
    end;
    DeltatEdit.enabled := withDeltat;
    FechEdit.enabled := withDeltat;
    DeltatSpin.visible := withDeltat;
    FechSpin.visible := withDeltat;
end end;// afficheVoieX

Procedure AfficheStatus;
var voie : indiceVoie;
begin
   with frequence do begin
        if active then regleFrequence;
        FrequenceGB.caption := nom+'='+nomVoieOrphy+' '+calibreVoie;
   end;
   ClavierGB.caption := entreeClavier.nom+'='+trClavier;
   if EntreeBinaire.active
         then EbinGB.caption := EntreeBinaire.Nom+'=EB8..EB'+IntToStr(EntreeBinaire.NbreEB+7)
         else EbinGB.caption :=  trEntreeBin;
   with SortieAnalogique do
        SortieAnaGB.caption := nom+'='+nomVoieOrphy+' '+calibreVoie;
   for voie := succ(voieT) to voieMax do
       grapheGTi.voieOrphy[voie].LabelVoie.caption := '';
   for voie := voieA to VoieAnaMax do with grapheGTi.voieOrphy[voie] do
       if active then begin
           CalculPente;
           GroupBox.caption := nom+'='+nomVoieOrphy+' '+calibreVoie;
           ecritOrphy(commandeCalibre);
       end    
       else GroupBox.caption := nom+'='+nomVoieOrphy;
   MagnumGB.Visible := grapheGTI.modeAcq=AcqMagnum;
   SetSizeVoie;
end; {afficheStatus}

Procedure VerifPreAcq;
var voieTampon : Tcourbe;
begin with grapheGTI do begin
   if not PreAcqOK then BaseDeTemps.preAcq10 := 0;
   if BaseDeTemps.preAcq10 = 0 then exit;
   if voieOrphy[voieSA].active then begin
      afficheErreur(erPreAcqSA,0);
      BaseDeTemps.preAcq10 := 0;
      exit;
   end;
   if voieOrphy[voieEB].active then begin
      afficheErreur(erPreAcqEB,0);
      BaseDeTemps.preAcq10 := 0;
      exit;
   end;
   if (modeAcq=AcqTemps) and
      (BaseDeTemps.DureeBalayage>NbreInter*NbreVoie*0.006553) then begin
      afficheErreur(erPreAcqdt,0);
      BaseDeTemps.preAcq10 := 0;
      exit;
   end;
   if (modeAcq=AcqTemps) and (modeTemporel=mLent) then begin
      afficheErreur(erPreAcqLent,0);
      BaseDeTemps.preAcq10 := 0;
      exit;
   end;
   if (BaseDeTemps.preAcq10>0) and
      (modeSynchro<>s_seuil) then begin
          BaseDeTemps.preAcq10 := 0;
          exit;
   end;
   if voieSynchro<>voieA then begin
        voieTampon := Tcourbe.create('','','',0);
        voieTampon.Assign(voieOrphy[voieSynchro]);
        voieOrphy[voieSynchro].Assign(voieOrphy[voieA]);
        voieOrphy[voieA].Assign(voieTampon);
        voieOrphy[voieSynchro].GroupBox.Tag := voieSynchro;
        voieOrphy[voieSynchro].LabelVoie.Tag := voieSynchro;
        voieOrphy[voieA].GroupBox.Tag := voieA;
        voieOrphy[voieA].LabelVoie.Tag := voieA;
        voieSynchro := voieA;
        voieTampon.Free;
        SetSizeVoie;
   end;
end end; // verifPreAcq

var voie : indiceVoie;
    i : integer;
begin // afficheReglage
with grapheGTi do begin
   RecoBtn.visible := avecRecoAuto and not modeDeconnecte;
   if RecoBtn.visible then reconnaissance;
   if voieSynchro<voieA then voieSynchro := voieA;
   if voieSynchro>voieAnaMax then voieSynchro := voieA;
   if modeAcq=AcqSA
      then voieOrphy[voieSA].active := true
      else if modeAcq<>AcqTemps
           then voieOrphy[voieSA].active := false;
   BaseDeTemps.active := modeAcq in [AcqTemps,AcqSA];
   voieOrphy[voieClavier].active := modeAcq=AcqClavier;
   voieOrphy[voieMagnum].active := modeAcq=AcqMagnum;
   case modeAcq of
        AcqPoint : begin
           if voieAbscisse in [voieSA,voieClavier] then
              voieAbscisse := voieA;
           if voieT=voieAbscisse then with voieOrphy[voieT] do begin
              for i := 0 to MaxVecteur do vecteurAff[i] := i;
              Mini := 0;
              Maxi := 32;
           end;
           if voieNum=voieAbscisse then with numero do begin
              Mini := 0;
              Maxi := 32;
           end;
        end;
        AcqClavier : if voieAbscisse in [voieT,voieNum,voieSA] then
              voieAbscisse := voieClavier;
        AcqMagnum : voieAbscisse := voieT;
        AcqGP305 : voieAbscisse := voieF;
        AcqTemps : begin
            if voieAbscisse in [voieClavier,voieF] then
               voieAbscisse := voieT;
            voieOrphy[voieF].active := false;
        end;
        AcqSA : begin
            if voieAbscisse in [voieClavier,voieF] then
               voieAbscisse := voieSA;
        end;
   end;
   voieOrphy[voieAbscisse].active := true;
   NbreVoie := 0;
   NbreCourbe := 0;
   for voie := succ(voieT) to voieMax do
       if voieOrphy[voie].active then begin
            if voie<>voieAbscisse then inc(NbreCourbe);
            if (voie>=voieA) and (voie<>voieSB) then inc(NbreVoie);
       end;
   if (modeAcq=AcqTemps) and
      (NbreCourbe=0) and
      (NbreVoie=1) then begin
         voieAbscisse := voieT;
         NbreCourbe := 1;
   end;
   if (modeAcq=AcqSA) and
      (NbreCourbe=0) and
      (NbreVoie=1) then begin
         voieAbscisse := voieSA;
         NbreCourbe := 1;
   end;
   if NbreCourbe=0 then begin
      if voieA=voieAbscisse
         then voieOrphy[succ(voieA)].active := true
         else voieOrphy[voieA].active := true;
      NbreCourbe := 1;
      inc(NbreVoie);
   end;
   verifPreAcq;
   regleMinMax;   
   AfficheVoieX;
   AfficheStatus;
   AfficheSynchro;
   avecMinMax := false;
   for voie := voieA to voieAnaMax do with TentreeAna(grapheGti.voieOrphy[voie]) do
       if active and (modeEA<>eaDirect) then avecMinMax := true;
   if modeAcq=AcqTemps then begin
      setModeTemporel;
      if modeTemporel<>mLent then avecMinMax := false;
   end;
   AvecMinMax := AvecMinMax and (grapheGTI.modeAcq in [AcqPoint,AcqClavier,AcqTemps]);
   if (BaseDeTemps.dureeBalayage>20) and
      (modeAcq=AcqTemps) and
      not(monocoup) then begin
         afficheErreur(erMonocoup,0);
         monocoup := true;
   end;
   if (modeAcq=AcqTemps) and
      (modeTemporel=mLent) then modeSynchro := s_clavier;
   if modeAcq=AcqSA then modeSynchro := s_clavier;
   oscillo.refresh;
   if resetBtn.enabled
      then resetBtnClick(nil)
      else begin
          PremiereAcquisition := true;
          initAttente;
      end;    
end end;{afficheReglage}

procedure tGTImainForm.InitAttente;
begin with grapheGTI do begin
   if ((modeAcq=AcqTemps) and
      (modeSynchro=s_clavier) and
       not modeDeconnecte) or
       (modeAcq in [AcqSA,AcqMagnum,AcqGp305]) then begin
           etatAcq := eaAttenteSynchro;
           with sortieAnalogique do if active then begin
                EcritOrphy(codeSortie(0));
                if (SAi='0') or (SAi='2')
                      then EcritOrphy('YSA 1 127')
                      else EcritOrphy('YSA 0 0');
           end;
           with sortieBinaire do if active then begin
                ValeurCourante := vecteurCourant[0];
                EcritOrphy('YSBLOC '+IntToStr(round(valeurCourante)));
           end;
   end;
   SetBoutons;
   DureeSpin.enabled := true;
   NombreSpin.enabled := true;
   RepereBtn.visible := (grapheGTI.ModeAcq=AcqTemps) and
                        (BaseDeTemps.deltat>deltatRepere);
   if avecMinMax and not modeDeconnecte then begin
      ordreYPEminmax := baseDeTemps.ordreMinMax;
      envoieOrdreMinMax;
   end;
   if (modeAcq=AcqTemps) and
      (modeSynchro<>s_clavier) and
      not modeDeconnecte
     then lanceAcqTemps
     else begin
       case modeAcq of
         AcqClavier : begin
             statusBar.simpleText := hClavier;
             effacePointCourant;
             with entreeClavier do begin
                  valeurCourante := mini;
                  valeurAff := mini;
                      GroupBox.color := couleur;
                      LabelVoie.Font.color := clWhite;
                      GroupBox.Font.color := clWhite;
             end;
             marquePointCourant;
             ClavierEdit.text := '';
             ClavierEdit.setFocus;
         end;
         AcqMagnum : with magnum do begin
             statusBar.simpleText := hMagnum;
             etatAcq := eaAttenteSynchro;
                      GroupBox.color := couleur;
                      LabelVoie.Font.color := clWhite;
                      GroupBox.Font.color := clWhite;
         end;
         AcqPoint : begin
             if PointAutoCB.checked
                then statusBar.simpleText := hPointAuto
                else statusBar.simpleText := hPoint;
         end;
         AcqSA : begin
             statusBar.simpleText := hSynchroClavier;
             etatAcq := eaAttenteSynchro;
             EcritOrphy(sortieAnalogique.CodeSortie(0));
         end;
         AcqGP305 : begin
               GetCodeGP305(voieOrphy[voieF].mini,GP305SB,GP305SA);
               ecritOrphy('XSBLOC '+intToStr(GP305SB));
               oldGP305SB := GP305SB;
               ecritOrphy('YSA 0 '+intToStr(GP305SA));
         end;
         AcqTemps : statusBar.simpleText := hSynchroClavier;
       end; { case }
       timer.enabled := orphyPresent;
       videBuffers;
     end; { else }
end end; // initAttente

procedure TGTImainForm.SynchroItemClick(Sender: TObject);
begin
    SetLectureParametres;
    if synchroDlg.showModal=mrOK
      then afficheReglage
      else finLectureParametres
end;

procedure TGTImainForm.ModeItemClick(Sender: TObject);
begin
    SetLectureParametres;
    if (ModeAcqDlg.showModal=mrOK) and
       ModeAcqDlg.Modif then begin
          NbreAffNul;
          DebutAcquisition := now;
          derniereSauvegarde := debutAcquisition;          
          AfficheReglage;
       end
       else finLectureParametres;
end;

procedure TGTImainForm.FormActivate(Sender: TObject);
var ini : tRegIniFile;
begin
     if premiereFois then begin
        if not OrphyPresent then TestOrphy(true);
        Ini := TregIniFile.create(RegistreGTI);
        WindowState := TwindowState(Ini.ReadInteger('Window','State',ord(wsMaximized)));
        Ini.free;
     end; // premierefois
     premiereFois := false;
end;

Procedure TgtiMainForm.TestOrphy(ChercheComi : boolean);

Procedure DesactiveBtn;
begin
     ResetBtn.enabled := false;
     EnregistreBtn.enabled := false;
     StopBtn.enabled := false;
     ContinuerBtn.enabled := false;
     UndoBtn.visible := false;
     FileSaveItem.visible := false;
     ClipSaveItem.visible := false;
     RegSaveBtn.visible := false;
end;

Procedure DesactiveSaveBtn;
begin
     FileSaveItem.visible := false;
     ClipSaveItem.visible := false;
     RegSaveBtn.visible := false;
end;

Procedure testCom(Numero : integer);
var posOrphy,posExec : integer;

Procedure ChercheNumero;
var posVersion : integer;
    NumeroVersionTxt : shortString;
begin
    versionOrphy := Copy(chaineLue,posOrphy,posExec-posOrphy-2);
    posVersion := pos('V',chaineLue);
    NumeroVersionTxt := Copy(chaineLue,posVersion+1,4);
    NumeroVersion := round(100*strToFloatWin(NumeroVersionTxt));
    grapheGTI.MagnumPermis := NumeroVersion>106;
    grapheGTI.PreAcqOK := NumeroVersion>104;
    if TestROM and
      (compteurRom=0) and
      (not grapheGTI.PreAcqOK or
       not grapheGTI.magnumPermis) then begin
           verifRomDlg := TverifRomDlg.create(self);
           verifRomDlg.label1.caption := erVersionGTI;
           TestROM := verifRomDlg.showModal=mrOK;
           verifRomDlg.free;
    end;
end;

var Timer : EventTimer;
    C : ansiChar;
{$IFDEF DEBUG}
    nomTrace : string;
{$ENDIF}
begin
{$IFDEF DEBUG}
       NomTrace := mesDocsDir+'gti'+intToStr(numero);
       VoieSerie.TraceName := ChangeFileExt(nomTrace,'.TRC');
       VoieSerie.LogName := ChangeFileExt(nomTrace,'.LOG');
       VoieSerie.Tracing := tlOn;
       VoieSerie.Logging := tlOn;
{$ENDIF}
   ComTestLabel.caption := 'Test de COM'+intToStr(numero);
   try
   VoieSerie.comNumber := Numero;
   VoieSerie.Baud := 9600;
   VoieSerie.Open := true;
   except
      statusBar.simpleText := TrErreurCom;
{$IFDEF DEBUG}                                              
      VoieSerie.Tracing := tlDump;
      VoieSerie.Logging := tlDump;
{$ENDIF}
      exit;
   end;
   videBuffers;
   ChaineLue := '';
   VoieSerie.OutPut := 'YERR'+crCR;
   newTimer(timer,18);
   compteur := 0;                                      
   repeat
        if voieSerie.charReady
           then begin
              C := voieSerie.GetChar;
              if C>=' '
                 then ChaineLue := chaineLue+C
                 else if C=crCR then inc(compteur);
           end
           else Application.processMessages;
   until (compteur=3) or timerExpired(timer);
   posOrphy := pos('ORPHY',chaineLue);
   posExec := pos('EXEC',chaineLue);
   OrphyPresent := (pos('GTI',chaineLue)<>0) and
                   (posORPHY<>0);
   if OrphyPresent then ChercheNumero;
end; // testCom

Procedure VerifDeconnecte;
var voie : indiceVoie;
    nombre : integer;
begin with grapheGTI do begin
     VideBuffers;
     for voie := voieA to voieAnaMax do
         if VoieOrphy[voie].active then inc(NbreVoie);
     if GetNombre(nombre) then begin
         NbreMesureReveil := Nombre;
         if NbreMesureReveil>NbreVoie*2 then begin
            MessageDlg(hAcqReveil,mtInformation,[mbOK],0);
            afficheReglage;
            EnregistreBtn.hint := hReveil;
            etatAcq := eaAttenteResul;
            NbreCourant := 0;
            NbreAff := 0;
            Gauge.position := 0;
            ChaineLue := '';
            voieDebut := voieA;
            while (voieDebut<voieAnaMax) and not(grapheGti.VoieOrphy[VoieDebut].active)
                  do inc(VoieDebut);
            voieCourante := voieDebut;
            for voie := voieAnaMax downto voieA do begin
                VoieSuivante[voie] := voieCourante;
                if grapheGti.VoieOrphy[voie].active then
                   voieCourante := voie;
            end;
            NbreMesureReveil := NbreMesureReveil div NbreVoie;
            Gauge.Max := NbreMesureReveil;
            EnregistreBtn.enabled := false;
            stopBtn.enabled := true;
            OrdreResul := 'YRESUL 0 '+IntToStr(pred(NbreMesureReveil*NbreVoie));
            timer.enabled := true;
            YpeActif := true;
            setYbin;
            ecritOrphy(ordreResul);
        end {N>3}
        else modeDeconnecte := false
     end {wait}
end end; // verifDeconnecte 

var i : integer;
    nomFichier : string;
    avecConfig : boolean;
begin // testOrphy 
   statusBar.simpleText := trVerifGTI;
   if OrphyPresent then begin
      ecritOrphy('YBAUDS 4'); // 9600 bauds
      sleep(150); // ms
      OrphyPresent := false;
   end;
   conflitBT_COM.visible := false;
   if IsPortAvailable(NumCom) then testCom(NumCom);
   if not OrphyPresent and ChercheComi then
      for i := 1 to MaxComHandles do begin
          if IsPortAvailable(i) and (i<>numCom) then testCom(i);
          if OrphyPresent then break;
      end;
   OrphyAbsent.visible := not OrphyPresent;
   if not OrphyPresent then begin
      statusBar.simpleText := trNotOrphy+comName(VoieSerie.ComNumber);
      DesactiveBtn;
      OrphyAbsent.visible := true;
//      OrphyAbsent.setFocus;
      exit;
   end;
   screen.cursor := crHourGlass;
   YbinActif := false;
   ecritOrphy('YASC');
   ecritOrphy('YBUFFER 0 16146 1024');
// dfaut=14098 plante au-del de 256 points ??
   screen.cursor := crDefault;
   ecritOrphy('YINTEGER');
   NumCom := voieSerie.ComNumber;
   if (VitesseCom>0) then begin { rglage de vitesseGTI }
      ecritOrphy('YBAUDS '+vitesseChar[vitesseCom]);
      sleep(150); // ms
      VoieSerie.baud := VitesseInt[vitesseCom];
   end;
   ecritOrphy('XSTOPS 0');
   statusBar.simpleText := trYesOrphy;
   UtilSeuilCharge := false;
   UtilRecoCharge := false;
   PreAcqEnCours := false;
   avecConfig := false;
   if PremierTest then begin
      if ParamCount>0
         then begin
              RepertoireGTI := MesDocsDir;
              NomFichier := ParamStr(1);
              for i := 2 to paramCount do
                  NomFichier := NomFichier+' '+ParamStr(i);
              if pos('\',NomFichier)=0 then
                  NomFichier := RepertoireGTI+nomFichier;
              avecConfig := FileExists(nomFichier);
              if not avecConfig
                  then NomFichier := MesDocsDir+'GTI'
         end
         else NomFichier := appDataDir+'GTI';
       try
       LitConfig(NomFichier,avecConfig);
       if modeDeconnecte
          then verifDeconnecte
          else afficheReglage;
       except
          afficheErreur('Erreur de lecture du fichier',0);
       end;
       PremierTest := false;
    end;{PremierTest}
end; // testOrphy 

procedure TGTImainForm.TimerTimer(Sender: TObject);

Procedure VerifAttenteReveil;
var voie : indiceVoie;
    mesure : word;
    PremierOctet,Termine : boolean;
    Carac1,carac2 : ansiChar;
    ET : eventTimer;
    nombre : integer;
begin with grapheGTI do
if (NbreAttenteReveil<30) and (NbreAttenteReveil<BaseDeTemps.deltat)
   then begin
      LitPointAttente;
      inc(NbreAttenteReveil);
   end
   else begin
      timer.enabled := false;
      VideBuffers;
      Carac1 := #0;
      if GetNombre(nombre) then begin
         nombre := nombre div NbreVoie;
         if nombre>NbreAff then begin
            OrdreResul := 'YRESUL '+intToStr(NbreAff*NbreVoie)+' '+IntToStr(succ(NbreAff)*NbreVoie);
            SetYbin;
            EcritOrphy(ordreResul);
            voie := voieDebut;
            termine := false;
            premierOctet := true;
            NewTimer(ET,NbreVoie*2);
            repeat
              if voieSerie.CharReady then
                if premierOctet
                   then begin
                     Carac1 := voieSerie.getChar;
                     PremierOctet := false;
                   end
                   else with grapheGti.voieOrphy[voie] do begin
                     Carac2 := voieSerie.getChar;
                     mesure := ord(carac1)+ord(carac2) shl 8;
                     vecteurAff[NbreAff] := valeurReal(mesure);
                     vecteurCourant[NbreAff] := mesure;
                     voie := voieSuivante[voie];
                     termine := voie=voieDebut;
                     PremierOctet := true;
                end;
         until termine or timerExpired(ET);
         if termine then begin
            inc(NbreAff);
            if NbreAff=NbreInter then begin
               ModeDeconnecte := false;
               EtatAcq := eaTerminee;
               ContinuerBtn.enabled := false;
            end;
         end;
         oscillo.refresh;
      end;{NbreMesureReveil>NbreAff}
      end;{if GetNombre}
      NbreAttenteReveil := 0;
      timer.enabled := true;
  end {else}
end; // VerifAttenteReveil 

Procedure VerifSauvegarde;
var duree : double;
begin
    if (grapheGTI.ModeAcq=AcqTemps) and
       (baseDeTemps.DureeBalayage>=dureeMinDeconnect) then begin
           duree := (now-derniereSauvegarde)*24*3600;
           if (duree>baseDeTemps.DureeBalayage/32) and
              (duree>dureeMinDeconnect) then begin
                formDDE.SauveDonnees;
                derniereSauvegarde := now;
           end;
       end;
end;

var distance : double;
    voie : indiceVoie;
    Rafraichir : boolean;
    oldNbreAff : integer;
begin with grapheGTI do begin { Timer }
   case modeAcq of
       AcqTemps : case etatAcq of
           eaAttenteSynchro : if (BaseDeTemps.PreAcq10=0) and
                                 (modeSynchro<>s_seuil) then
                                    LitPointAttente;
           eaTemporelLent : begin
               LitPointAttente;
               if (voieOrphy[voieT].valeurCourante>=NbreAff*baseDeTemps.deltat) then begin
                  EnregistrePointCourant;
                  setBoutons;
                  VerifSauvegarde;
               end;
               if (voieOrphy[voieT].valeurCourante>baseDeTemps.dureeBalayage)
                  then begin
                     etatAcq := eaTerminee;
                     setBoutons;
                  end;
           end;
           eaAttenteReveil : verifAttenteReveil;
           eaAttenteResul : begin
               oldNbreAff := NbreAff;
               if PremiereAcquisition then begin
                  Rafraichir := ((NbreAff=0) and (NbreCourant>0)) or (NbreAff>NbreCourant);
                  if Rafraichir then oldNbreAff := 0;
                  CourantVersAff;
                  if not versRegressi then
                     if rafraichir then Oscillo.refresh else traceCourbes;
               end;
               Gauge.Position := NbreCourant;
               statusBar.simpleText := NomEtatAcq(eaAttenteResul);
               if panelDuree.visible then
                  panelDuree.Caption := TimeToStr(time-YPEtime);
               if (modeAcq=AcqTemps) and (BaseDeTemps.dureeBalayage>1) then begin
                  effacePointCourant;
                  if NbreAff>0 then for voie := voieT to voieMax do
                     with voieOrphy[voie] do valeurAff := vecteurAff[pred(NbreAff)];
                  marquePointCourant;
                  VerifSauvegarde;                  
               end;
               if VersRegressi then FormDDE.AjouteDonnees(oldNbreAff,pred(NbreAff));
           end;
           eaMajResul : begin
               oldNbreAff := NbreAff;
               if oldNbreAff>NbreCourant then oldNbreAff := 0;
               timer.enabled := false;
               CourantVersAff;
               if FFTbtn.down then majFFT;
               if not versRegressi then Oscillo.refresh;
               if PreAcqEnCours then HaltPreAcquisition;
               if VersRegressi then FormDDE.AjouteDonnees(oldNbreAff,pred(NbreAff));
               if modeDeconnecte
                  then begin
                       EtatAcq := eaAttenteReveil;
                       Timer.interval := 1000;
                       NbreAttenteReveil := 0;
                       Gauge.Position := pred(NbreAff);
                  end
                  else if modeSynchro=s_clavier
                    then if sortieAnalogique.active
                       then etatAcq := eaTerminee
                       else etatAcq := eaAttenteSynchro
                    else begin
                       etatAcq := eaTerminee;
                       Gauge.Position := pred(NbreInter);
                       if not Monocoup then begin
                            PremiereAcquisition := false;
                            LanceAcqTemps;
                       end;
                   end;
               statusBar.simpleText := NomEtatAcq(etatAcq);
               versRegressi := false;
               setBoutons;
            end;
            eaTerminee : ;
        end;
       AcqMagnum : case etatAcq of
           eaAttenteSynchro,eaAttenteStopMag : ;
           eaAttenteResulMag : begin
               Gauge.position := NbreCourant;
               statusBar.simpleText := NomEtatAcq(eaAttenteResulMag);
           end;
           eaMajResul : begin
               Gauge.position := Gauge.max;
               timer.enabled := false;
               EtatAcq := eaTerminee;
               CourantVersAff;
               Oscillo.refresh;
               statusBar.simpleText := NomEtatAcq(eaTerminee);
               if VersRegressi then FormDDE.AjouteDonnees(0,pred(NbreAff));
               EtatAcq := eaAttenteSynchro;
               PremiereAcquisition := false;
               versRegressi := false;
               setBoutons;
            end;
            eaTerminee : ;
        end;
        AcqClavier : LitPointAttente;
        AcqSA : case etatAcq of
                 eaAttenteSynchro : LitPointAttente;
                 eaTerminee : ;
                 eaTemporelLent : begin
                     LitPointAttente;
                     EnregistrePointCourant;
                     if NbreAff>=sortieAnalogique.NbreInterSA
                        then begin
                           etatAcq := eaTerminee;
                           ResetBtn.enabled := true;
                           StopBtn.enabled := false;
                           statusBar.simpleText := NomEtatAcq(etatAcq);
                           setBoutons;
                           Oscillo.refresh;
                        end
                        else EcritOrphy(sortieAnalogique.CodeSortie(NbreAff));
                 end;
        end;{ AcqSA }
        AcqGP305 : if etatAcq=eaAttenteResul then with grapheGTI do begin
           LitPointAttente;
           EnregistreBtnClick(sender);
           if voieOrphy[voieF].valeurAff<voieOrphy[voieF].maxi
              then begin
                inc(GP305SA);
                if GP305SA>255 then begin
                   GP305SA := 0;
                   if GP305SB=1
                      then GP305SB := 3
                      else if GP305SB=3
                          then GP305SB := 2
                          else GP305SB := 0;
                end
              end
              else GP305SB := 0;
            if GP305SB>0
               then begin
                   if oldGP305SB<>GP305SB then begin
                      ecritOrphy('XSBLOC '+intToStr(GP305SB));
                      oldGP305SB := GP305SB;
                   end;
                   ecritOrphy('YSA 0 '+intToStr(GP305SA));
               end
               else begin
                   Timer.enabled := false;
                   etatAcq := eaTerminee;
                   setBoutons;
               end;
        end; // AcqGP305 
        AcqPoint : with grapheGTI do begin
           LitPointAttente;
           if PointAutoCB.checked then if NbreAff=0
              then EnregistreBtnClick(sender)
              else begin
                  distance := 0;
                  for voie := voieF to voieEB do
                  with voieOrphy[voie] do if active then
                      distance := distance+abs((valeurAff-vecteurAff[pred(NbreAff)])/(maxi-mini));
                  if distance>0.01 then EnregistreBtnClick(sender);
             end;
        end;
    end;
end end; // Timer

procedure TGTImainForm.EnregistreBtnClick(Sender: TObject);
begin
     if modeDeconnecte then exit;
     case grapheGti.ModeAcq of
          AcqPoint : begin
                EnregistrePointCourant;
                setBoutons;
          end;
          AcqClavier : begin
                EnregistrePointCourant;
                setBoutons;
                ClavierEdit.setFocus;
          end;
          AcqMagnum : LanceAcqMagnum;
          AcqGP305 : begin
             EnregistreBtn.enabled := false;
             StopBtn.enabled := true;
             etatAcq := eaAttenteResul;
             Timer.enabled := true;
          end;
          AcqTemps : LanceAcqTemps;// synchro clavier
          AcqSA : LanceAcqSA; //synchro clavier
    end;
end;
            
Procedure TGTImainForm.SetBoutons;
begin with GrapheGTI do begin
     PanelMode.enabled := not modeDeconnecte;
     ResetBtn.enabled := (NbreAff>0) and not modeDeconnecte;
     EnregistreBtn.enabled := true;
     EnregistreBtn.hint := hAddPoint;
     StopBtn.enabled := false;
     ContinuerBtn.visible := false;
     RepereBtn.visible := false;
     FFTBtn.visible := (voieAbscisse=voieT) and
                       (modeAcq=AcqTemps) and
                       not modeDeconnecte and
                       not (modeTemporel=mLent);
     if not FFTbtn.visible then FFTbtn.down := false;
     PanelFFT.visible := FFTbtn.down;
     UndoBtn.visible := false;
     RepereBtn.visible := false;
     case ModeAcq of
          AcqPoint : begin
             UndoBtn.visible := (NbreAff>0) and not modeDeconnecte;
             StopBtn.visible := false;
          end;
          AcqMagnum : begin
                ResetBtn.enabled := (etatAcq=eaTerminee) and (NbreAff>0);
                EnregistreBtn.enabled := etatAcq=eaAttenteSynchro;
                Timer.enabled := etatAcq=eaAttenteResulMag;
                EnregistreBtn.hint := hStart;
                StopBtn.visible := true;
                StopBtn.enabled := (etatAcq=eaAttenteResul);
                statusBar.simpleText := NomEtatAcq(etatAcq);
                if etatAcq=eaAttenteSynchro then begin
                   if ChuteMagnum
                      then EcritOrphy('YCONFEF '+magnum.EFi+' M 1 1')
                      else EcritOrphy('YPOSITION '+magnum.EFi);
                   sleep(100);
                   EcritOrphy('');
                end;
          end;
          AcqTemps : begin
                ContinuerBtn.visible := true;
                ResetBtn.enabled := Monocoup and (etatAcq=eaTerminee) and (NbreAff>0);
                EnregistreBtn.enabled := (modeSynchro=S_Clavier) and
                                         (etatAcq=eaAttenteSynchro);
                Timer.enabled := EnregistreBtn.enabled or
                    (etatAcq in [eaAttenteResul,eaAttenteReveil,eaTemporelLent]);
                EnregistreBtn.hint := hStart;
                StopBtn.visible := true;
                StopBtn.enabled := etatAcq in [eaAttenteResul,eaAttenteReveil,eaTemporelLent];
                statusBar.simpleText := NomEtatAcq(etatAcq);
                if GrapheGTI.monocoup and
                    (NbreInterPlus>NbreInter) and
                     ((etatAcq=eaTerminee) or
                      ((NbreAff=NbreInter) and
                        (etatAcq=eaAttenteSynchro))) then
                        if YpeActif
                          then if continuerCB.visible and
                                  continuerCB.checked
                               then begin
                                   ContinuerBtnClick(nil);
                                   ContinuerBtn.enabled := false;
                               end
                               else ContinuerBtn.enabled := true
                          else ContinuerBtn.enabled := false;
                 if modeDeconnecte and
                    (NbreInterPlus>NbreInter) and
                    (etatAcq=eaAttenteReveil) then begin
                     ContinuerBtn.enabled := true;
                 end;
                 RepereBtn.visible := not modeDeconnecte and
                          (BaseDeTemps.deltat>deltatRepere) and
                          (etatAcq in [eaAttenteResul,eaAttenteReveil,eaTemporelLent]);
          end;
          AcqSA : begin
                ResetBtn.enabled := (etatAcq=eaTerminee) and (NbreAff>0);
                EnregistreBtn.enabled := (etatAcq=eaAttenteSynchro) or (NbreAff=0);
                Timer.enabled := true;
                EnregistreBtn.hint := hStart;
                StopBtn.visible := true;
                StopBtn.enabled := etatAcq=eaTemporelLent;
                statusBar.simpleText := NomEtatAcq(etatAcq);
          end;
          AcqGP305 : begin
                ResetBtn.enabled := etatAcq=eaTerminee;
                EnregistreBtn.enabled := etatAcq=eaAttenteSynchro;
                Timer.enabled := etatAcq=eaAttenteResul;
                EnregistreBtn.hint := hStart;
                StopBtn.visible := true;
                StopBtn.enabled := etatAcq=eaAttenteResul;
                statusBar.simpleText := NomEtatAcq(etatAcq);
          end;
          AcqClavier : begin
             EnregistreBtn.enabled := false;
             StopBtn.visible := false;
             UndoBtn.visible := (NbreAff>0) and not modeDeconnecte;
          end;
     end;
     FileSaveItem.visible := NbreAff>=MinPoints;
     ClipSaveItem.visible := NbreAff>=MinPoints;
     RegSaveBtn.visible := NbreAff>=MinPoints;
end end; // setBoutons

   Procedure TGTImainForm.EnregistrePointCourant;
   var voie : indiceVoie;
   begin with grapheGti do begin
       for voie := voieSA to VoieMax do with voieOrphy[voie] do if active then
          if valeurCourante=sansSignif then begin
             if not (voie in [voieClavier,voieMagnum]) then
                LabelVoie.caption := erSansSignif;
             exit;
          end;
       effacePointCourant;
       for voie := voieClavier to VoieMax do
           with voieOrphy[voie] do if active then begin
              vecteurAff[nbreAff] := ValeurCourante;
              valeurAff := ValeurCourante;
              if voie<>voieAbscisse then tracePoint(voie);
           end;
       if modeAcq=AcqPoint then with voieOrphy[voieT] do begin
              vecteurAff[nbreAff] := ValeurCourante;
              valeurAff := valeurCourante;
              if Maxi<valeurAff then begin
                 Maxi := 2*Maxi;
                 if voieAbscisse=voieT then begin
                    oscillo.refresh; { trace }
                    effacePointCourant; { d'o efface }
                 end;
               end;  
       end;
       if modeAcq=AcqSA then with sortieAnalogique do begin
              vecteurAff[nbreAff] := ValeurCourante;
              valeurAff := valeurCourante;
       end;
       if (modeAcq=AcqTemps) and (modeTemporel=mLent) then
           with voieOrphy[voieT] do begin
              vecteurAff[nbreAff] := ValeurCourante;
              valeurAff := valeurCourante;
           end;
       inc(NbreAff);
       if modeAcq=AcqPoint then with voieOrphy[voieNum] do begin
             if Maxi<=NbreAff then begin
                Maxi := 2*NbreAff;
                if voieAbscisse=voieNum then begin
                   oscillo.refresh; { trace }
                   effacePointCourant; { d'o efface }
                end;
             end;
             ValeurAff := NbreAff;
       end;
       marquePointCourant; 
end end; // EnregistrePointCourant

procedure TGTImainForm.OscilloPaint(Sender: TObject);
var voie : indiceVoie;
begin with grapheGti do begin
     limiteFenetre := rect(0,0,oscillo.width,oscillo.height);
     oTraceFFT := fftBtn.down;
     canvas.brush.style := bsSolid;
     canvas.brush.color := clWhite;
     canvas.pen.color := clWhite;
     canvas.rectangle(0,0,oscillo.width,oscillo.height);
     draw;
     with voieOrphy[voieT] do valeurAff := mini;
     with voieOrphy[voieNum] do valeurAff := 0;
     for voie := succ(voieT) to pred(VoieA) do
         with voieOrphy[voie] do begin
              valeurAff := valeurCourante;
              if (valeurAff<mini) or
                 (valeurAff>maxi) then valeurAff := mini;
         end;
     voieOrphy[voieEB].valeurAff := 0;
     for voie := voieA to VoieAnaMax do
         with voieOrphy[voie] do begin
              valeurAff := valeurCourante;
              if (valeurAff<mini) or
                 (valeurAff>maxi) then valeurAff := (mini+maxi)/2;
         end;
     if modeDeconnecte and (NbreAff>0) then
        with voieOrphy[voieT] do
              valeurAff := vecteurAff[pred(NbreAff)];
     marquePointCourant;
     if curseur<>curNone then traceLignes;
end end;

procedure TGTImainForm.NombreDownClick(Sender: TObject);
begin
     if sortieAnalogique.active
        then begin
             if sortieAnalogique.PasSortie>1 then begin
                 dec(sortieAnalogique.PasSortie);
                 sortieAnalogique.calcVecteur;
                 majTemps;
             end;
        end
        else begin
           NbreInter := NbreInter div 2;
           if NbreInter<16 then NbreInter := 16;
           SetNombre;
       end;
end;

procedure TGTImainForm.NombreUpClick(Sender: TObject);
begin
     if sortieAnalogique.active
        then begin
             if sortieAnalogique.NbreInterSA>8 then begin
                 inc(sortieAnalogique.PasSortie);
                 sortieAnalogique.calcVecteur;
                 majTemps;
             end;
        end
        else begin
           NbreInter := 2*NbreInter;
           if NbreInter>NbreInterMax then NbreInter := NbreInterMax;
           SetNombre;
        end;   
end;

procedure TGTImainForm.DureeSpinUpClick(Sender: TObject);
begin
     SetLectureParametres;
     BaseDeTemps.dureeBalayage := duree125(2.15*BaseDeTemps.dureeBalayage);
     SetDuree;
end;

procedure TGTImainForm.DureeSpinDownClick(Sender: TObject);
begin
     SetLectureParametres;
     BaseDeTemps.dureeBalayage := duree125(BaseDeTemps.dureeBalayage/2.15);
     SetDuree;
end;

Procedure TgtiMainForm.SetNombre;
begin
    SetLectureParametres;
    BaseDeTemps.deltat := BaseDeTemps.dureeBalayage/NbreInter;
    AjusteDeltat;
    MajTemps;
end;

procedure TgtiMainForm.MajTemps;
var i : integer;
begin
    if not (grapheGTI.modeAcq in [AcqTemps,AcqSA]) then exit;
    RegleTimer;
    DureeEdit.text := chaineDuree(BaseDeTemps.DureeBalayage);
    deltatEdit.text := chaineDuree(BaseDeTemps.deltat);
    fechEdit.text := FrequenceU.formatUnite(1/BaseDeTemps.deltat);
    NbreEdit.text := IntToStr(NbreInter);
    with BaseDeTemps do begin
        DureeEdit.text := chaineDuree(DureeBalayage);
        Mini := -PreAcqExact*deltat;
        for i := 0 to MaxVecteur do
            vecteurAff[i] := deltat*i+mini;
        Maxi := Mini+DureeBalayage;
    end;
    NbreAffNul;
    initAttente;
    panelDuree.visible := BaseDeTemps.dureeBalayage>15;
    if BaseDeTemps.ModifDuree then Oscillo.refresh;
end;

Procedure TgtiMainForm.SetDuree;
var dureeMin : double;
begin
    if sortieAnalogique.active or sortieBinaire.active
       then if grapheGTI.modeAcq=AcqSA
           then dureeMin := NbreInter*0.1
           else dureeMin := NbreInter*NbreVoie*deltatOrphy+1e-5
       else if NbreVoie=1
          then dureeMin := 1e-4
          else dureeMin := minPoints*NbreVoie*deltatOrphy;
    if BaseDeTemps.dureeBalayage<dureeMin then
       BaseDeTemps.dureeBalayage := dureeMin;
    if BaseDeTemps.dureeBalayage>dureeMax then
       BaseDeTemps.dureeBalayage := dureeMax;
    AjusteDeltat;
    if not sortieAnalogique.active and not sortieBinaire.active then begin
         NbreInter := round(BaseDeTemps.DureeBalayage/BaseDeTemps.deltat);
         if NbreInter>NbreInterMax then NbreInter := NbreInterMax;
         if NbreInter*NbreVoie>MaxResulGTI then NbreInter := MaxResulGTI div NbreVoie;
         if NbreInter<16 then NbreInter := 16;
    end;
    MajTemps;
end;

procedure TGTImainForm.FrequenceGBClick(Sender: TObject);
var voie : indiceVoie;
begin with grapheGTI do begin
    SetLectureParametres;
    regleFrequence;
    if EfrontDlg=nil then
       EfrontDlg := TEfrontDlg.create(self);
    EfrontDlg.showModal;
    if not Frequence.active and
       (voieAbscisse=voieF) then begin
       voieAbscisse := voieA;
       for voie := voieA to voieAnaMax do
           if voieOrphy[voie].active then begin
              voieAbscisse := voie;
              break
           end;
    end;
    setYbin;
    afficheReglage;
end end;

procedure TGTImainForm.VoieAnaClick(Sender: TObject);
var v : indiceVoie;
begin
     if grapheGTI.modeAcq=AcqMagnum then exit;
     SetLectureParametres;
     v := (sender as Tcomponent).tag;
     OrphyGtiDlg.voie := v;
     OrphyGtiDlg.ShowModal;
     if OrphyGtiDlg.modif
        then begin
           NbreAffNul;                                 
           DebutAcquisition := now;
           derniereSauvegarde := debutAcquisition;           
           afficheReglage;
        end
        else begin
          with grapheGTi.voieOrphy[v] do
               if active then begin
                  CalculPente;
                  GroupBox.caption := nom+'='+nomVoieOrphy+' '+calibreVoie;
                  ecritOrphy(commandeCalibre);
               end
               else GroupBox.caption := nom+'='+nomVoieOrphy;
          finLectureParametres;
          setSizeVoie;     
        end;
end;

procedure TGTImainForm.RegleFrequence;
begin with frequence do begin
     if modeEF0='M'
        then ecritOrphy('YCONFEF '+EFi+' M 1 1')
        else begin
             AxeLog := AxeLog and
                 (grapheGti.voieAbscisse=voieF);
             if AxeLog then mini := log10(miniF) else mini := miniF;
             if AxeLog then maxi := log10(maxiF) else maxi := maxiF;
             ecritOrphy('YCONFEF '+EFi+' F 4 1');
             modeEF0 := 'F';
             diviseur := 1;
             DureeComptage := 16; // comptage = 16*10 ms => 1 kHz  100 kHz
        end;
end end;

procedure TGTImainForm.ClavierGBClick(Sender: TObject);
begin
    SetLectureParametres;
    if ClavierDlg=nil then
       Application.CreateForm(TClavierDlg, ClavierDlg);
    ClavierDlg.showModal;
    afficheReglage;
end;

procedure TGTImainForm.FormClose(Sender: TObject;
  var Action: TCloseAction);

procedure sauveExtension;
var regist : Tregistry;
begin
  try
  Regist := TRegistry.create;
  Regist.RootKey := HKey_Classes_Root;
  if Regist.OpenKey('\.gti',true) then begin
     Regist.WriteString('','GTIfile');
     Regist.WriteString('Content Type','application\gti');
  end;
  if Regist.OpenKey('\GtiFile',true) then begin
     Regist.WriteString('','Fichier config. GTI');
     Regist.WriteString('IsShortcut','');
     if Regist.OpenKey('\GtiFile\shell',true) then
        Regist.WriteString('','open');
     if Regist.OpenKey('\GtiFile\shell\open\command',true) then
        Regist.WriteString('','"'+application.exename+'" "%1"');
     if Regist.OpenKey('\GtiFile\shell\open\ddeExec',true) then
        Regist.WriteString('','FILE|LOAD(%1)');
     if Regist.OpenKey('\GtiFile\shell\open\ddeExec\topic',true) then
        Regist.WriteString('','ServeurDDE');
     if Regist.OpenKey('\GtiFile\shell\open\ddeExec\application',true) then
        Regist.WriteString('','GTI');
  end;
  regist.free;
  except
  end;
end;

procedure VerifDeconnecte;
begin
   if (BaseDeTemps.dureeBalayage>DureeMinDeconnect) and
      not modeDeconnecte and
      OKReg(trDeconnect) then begin
           if not (etatAcq in [eaAttenteResul,eaAttenteReveil]) then begin
                DebutAcquisition := now;
                derniereSauvegarde := debutAcquisition;                
                ecritOrphy(ordreProgramme);
                ecritOrphy(ordreLance);
            end;
            ModeDeconnecte := true;
    end
    else ModeDeconnecte := ModeDeconnecte and (BaseDeTemps.dureeBalayage>DureeMinDeconnect)
end;

var FichierIni : TRegIniFile;
    voie : indiceVoie;
    nomFichierAuto : string;
begin    { FormClose }
     SauveExtension;
     VerifDeconnecte;
     if OrphyAbsent.visible then exit;
     if StopBtn.enabled and
        not modeDeconnecte then StopBtnClick(sender);
     Timer.enabled := false;
     if PreAcqEnCours and
        not ModeDeconnecte then HaltPreAcquisition;
     ecritOrphy('YBAUDS 4'); { retour  9600 bauds }
{$IFDEF DEBUG}
     VoieSerie.Tracing := tlDump;
     VoieSerie.Logging := tlDump;
{$ENDIF}
     try
     FichierIni := TRegIniFile.create(RegistreGTI);
     FichierIni.WriteInteger('Window','State',ord(WindowState));
     FichierIni.writeBool('Acquisition','Defaut',SauverConfig);
     FichierIni.WriteBool('FreqEch','Permis',WithDeltat);
     FichierIni.WriteBool('Magnum','Chute0',SupprChute0);
     FichierIni.writeInteger('COM','Num',numCom);
     FichierIni.writeInteger('COM','Vitesse',VitesseCom);
     FichierIni.writeBool('TestROM','Permis',TestROM);
     FichierIni.writeBool('Grec','Ctrl',CaractereGrecCtrl);
     FichierIni.writeString('Config','Path',CfgGTIPath);
     FichierIni.writeInteger('TIMER','interval',MajTimer);
     FichierIni.writeBool('Deconnecte','Actif',ModeDeconnecte);
     FichierIni.free;
     except
     end;
     if sauverConfig then SauveConfig(appDataDir+'GTI');
     for voie := voieA to VoieAnaMax do with grapheGTI.voieOrphy[voie] do
          if active and (indexCapteurAuto>0) then begin
               NomFichierAuto := RepertoireGTI+'reco'+intToStr(indexCapteurAuto);
               SauveConfig(nomFichierAuto);
          end;
end; // FormClose 

procedure TGtiMainForm.WMFileLoad(var Msg : TMessage);
var nomFichier : string;
begin
      NomFichier := ClipBoard.asText;
      if pos('\',NomFichier)=0 then
         NomFichier := MesDocsDir+NomFichier;
      LitConfig(nomFichier,true);
      afficheReglage;
end;

procedure TGTImainForm.RegSaveBtnClick(Sender: TObject);
begin
   SetLectureParametres;
   if ConstanteDlg.showModal=mrOk then begin
          FormDDE.EnvoieDonnees(true,true,'');
          ReactiverGTI := true;
   end;
   finLectureParametres
end;

procedure TGTImainForm.ClipSaveBtnClick(Sender: TObject);
begin
      FormDDE.EnvoieDonnees(false,false,'')
end;

procedure TGTImainForm.FileSaveBtnClick(Sender: TObject);
begin
     SetLectureParametres;
     saveDialog.defaultExt := 'txt';
     saveDialog.filter := TrFormatTableur+' |*.txt';
     if saveDialog.Execute then
        FormDDE.EnvoieDonnees(false,false,saveDialog.FileName);
     FinLectureParametres;
end;

procedure TGTImainForm.UndoBtnClick(Sender: TObject);
begin { Supprimer dernier point }
     if grapheGti.NbreAff>0 then begin
        dec(grapheGti.NbreAff);
        oscillo.refresh;
        setBoutons;
     end;
end;

procedure TGTImainForm.TriggerAvailAsc(CP: TObject; Count: Word);
var C : ansiChar;
    i : integer;
begin
     C := #0;
     for i := 1 to count do begin
        if VoieSerie.CharReady
           then begin
                try
                C := voieSerie.getChar;
                except
                exit;{ ne devrait pas arriver mais arrive ?? }
                end
           end
           else exit;     
        if etatAcq=eaAttenteResul then begin
           if (C>='0') and (C<='9')
              then chaineLue :=chaineLue+C
              else if (C=',') or (C=crCR) then begin
              try
              with grapheGTi.VoieOrphy[voieCourante] do
                   vecteurCourant[GrapheGti.NbreCourant] := StrToInt(chaineLue);
              except
                  grapheGTi.VoieOrphy[voieCourante].vecteurCourant[GrapheGti.NbreCourant] := 0;
              end;
              voieCourante := voieSuivante[voieCourante];
              if VoieCourante=voieDebut then inc(grapheGti.NbreCourant);
              chaineLue := '';
              if (C=crCR) or (grapheGti.NbreCourant=NbreInter) then
                 etatAcq := eaMajResul; { CR => fin }
            end { , ou CR }
            else statusBar.simpleText := erCarac+'#'+C+'#';
         end; { resul }
     end;{ i }
end;

procedure TGTImainForm.TriggerAvailMinMax(CP: TObject; Count: Word);
var C : ansiChar;
    i : integer;
begin
     C := #0;
     for i := 1 to count do begin
        if VoieSerie.CharReady
           then begin
             try
             C := voieSerie.getChar;
             except
                exit;{ ne devrait pas arriver mais arrive ?? }
             end;
           end
           else exit;  
        LectureMinMaxTerminee := C=crCR;
        if C>=' ' then chaineLue := chaineLue+C;
     end;{ i }
end;

procedure TGTImainForm.TriggerAvailBin(CP: TObject; Count: Word);
var C : ansiChar;

procedure TriggerMagnum;

procedure EnleverPremierPoint;
var debutChuteT : extended;
    k : integer;
begin with Magnum,grapheGTI do begin
      dec(NbreCourant);
      dec(NbreInter);
      debutChuteT := VoieOrphy[voieT].vecteurAff[1];
      for k := 0 to pred(NbreInter) do begin
          vecteurCourant[k] := vecteurCourant[succ(k)];
          VoieOrphy[voieT].vecteurAff[k] := VoieOrphy[voieT].vecteurAff[succ(k)]-debutChuteT;
      end;
end end;

var j : TindexMagnum;
    date,duree : extended;
    debutChuteX : integer;
    k : integer;
    PosMagnum : integer;
    Nchange : integer;
begin with Magnum do begin
   valeurMagnum[indexMagnum] := ord(C);
   if indexMagnum<pos2
      then inc(indexMagnum)
      else with grapheGTI do begin
           indexMagnum := date1;
           date := 0;
           for j := date4 downto date1 do
               date := valeurMagnum[j]+date*256.0;
           date := date*100e-9;
           PosMagnum := 256*valeurMagnum[pos2]+valeurMagnum[pos1];
           if NbreCourant=0 then dateDebut := date;
           duree := date-dateDebut;
           if (duree<0) or (duree>dureeMaxMagnum) then duree := NbreCourant;
           VoieOrphy[voieT].vecteurAff[NbreCourant] := duree;
           VoieOrphy[voieMagnum].vecteurCourant[NbreCourant] := PosMagnum-zeroMagnum;
           inc(NbreCourant);
           gauge.Position := NbreCourant;
           if nbreCourant=NbreInter then begin  // minimum quatre points
                etatAcq := eaMajResul;
                Nchange := 0;
                for k := 2 to (NbreInter-3) do
                    if (vecteurCourant[k]-vecteurCourant[pred(k)])*
                       (vecteurCourant[k]-vecteurCourant[succ(k)])>0
                        then inc(Nchange);
                OscillationMagnum := Nchange>3;
                if not oscillationMagnum and not modeAngulaire then begin
// chute : deux derniers points = passage du support non des traits
                    dec(NbreCourant,2);
                    dec(NbreInter,2);
                    if supprChute0 then begin // minimum deux points
// premier point = passage du support non des traits
                         enleverPremierPoint;
                         if (NbreCourant>3) and (vecteurCourant[1]*vecteurCourant[3]>0)
                            then enleverPremierPoint;
// Non respect de la flche => deuxime point  supprimer ?
                    end;
                end;
                if not oscillationMagnum then begin
                    debutChuteX := vecteurCourant[0];
                    for k := 0 to pred(NbreInter) do
                        vecteurCourant[k] := vecteurCourant[k]-debutChuteX;
                end;
                baseDeTemps.dureeBalayage := VoieOrphy[voieT].vecteurAff[pred(NbreInter)];
                VoieOrphy[voieT].mini := 0;
                VoieOrphy[voieT].maxi := baseDeTemps.dureeBalayage;
                screen.cursor := crDefault;
                stopBtn.enabled := false;
                timer.enabled := true;
             end;
        end;
end end;{ TriggerMagnum}

procedure TriggerChute;
var j : TindexMagnum;
    date,duree,debutChuteT : extended;
    k : integer;
begin with Magnum do begin
   valeurMagnum[indexMagnum] := ord(C);
   if indexMagnum<date4
      then inc(indexMagnum)
      else with grapheGTI do begin
           indexMagnum := date1;
           date := 0;
           for j := date4 downto date1 do
               date := valeurMagnum[j]+date*256.0;
           date := date*100e-9;
           if NbreCourant=0 then dateDebut := date;
           duree := date-dateDebut;
           if (duree<0) or (duree>dureeMaxMagnum) then duree := NbreCourant;
           VoieOrphy[voieT].vecteurAff[NbreCourant] := duree;
           VoieOrphy[voieMagnum].vecteurCourant[NbreCourant] := NbreCourant;
           inc(NbreCourant);
           if nbreCourant=NbreInter then begin
                etatAcq := eaMajResul;
                if not modeAngulaire then begin
// chute : deux derniers points = passage du support non des traits
                   dec(NbreCourant,2);
                   dec(NbreInter,2);
                   if SupprChute0 then begin
// premier point = passage du support non des traits }
                      dec(NbreCourant);
                      dec(NbreInter);
                      debutChuteT := VoieOrphy[voieT].vecteurAff[1];
                      for k := 0 to pred(NbreInter) do
                          VoieOrphy[voieT].vecteurAff[k] := VoieOrphy[voieT].vecteurAff[succ(k)]-debutChuteT;
                   end;
                end;
                for k := 0 to pred(NbreInter) do
                    vecteurCourant[k] := k;
                baseDeTemps.dureeBalayage := VoieOrphy[voieT].vecteurAff[pred(NbreInter)];
                VoieOrphy[voieT].mini := 0;
                VoieOrphy[voieT].maxi := baseDeTemps.dureeBalayage;
                screen.cursor := crDefault;
             end;
        end;
end end;{ TriggerChute}

procedure TriggerTemps;
begin
       if PremierOctet
              then begin
                 motLu := ord(C);
                 premierOctet := false;
              end
              else with grapheGTI do begin
                 premierOctet := true;
                 with VoieOrphy[voieCourante] do
                      vecteurCourant[NbreCourant] := motLu+ord(C) shl 8;
                 voieCourante := voieSuivante[voieCourante];
                 if voieCourante=voieDebut then inc(NbreCourant);
                 if nbreCourant=NbreInter then etatAcq := eaMajResul; { fin }
                 if modeDeconnecte and
                    (nbreCourant=NbreMesureReveil) then begin
                     etatAcq := eaMajResul; { fin }
                     if NbreInter<=NbreMesureReveil then begin
                        modeDeconnecte := false;
                        setBoutons;
                     end;
                 end;
            end
end;{ TriggerTemps }

var i : integer;
begin
     for i := 1 to count do if voieSerie.charReady then begin
        try
        C := voieSerie.getChar;
        except
           continue; // ne devrait pas arriver mais arrive ?? 
        end;   
        case etatAcq of
           eaAttenteResulMag : if ChuteMagnum
                  then triggerChute
                  else triggerMagnum;
           eaAttenteResul : triggerTemps;
        end;
     end;{ i }
end; // TriggerAvailBin 

procedure TGTImainForm.SortieAnaGBClick(Sender: TObject);
begin
    SetLectureParametres;
    if grapheGTI.modeAcq=AcqSA
    then begin
       if AcqSortieAnaDlg=nil then
          AcqSortieAnaDlg := TAcqSortieAnaDlg.create(self);
       if AcqSortieAnaDlg.showModal=idCancel
          then finLectureParametres
          else afficheReglage;
    end
    else begin
       if SortieAnaDlg=nil then
          SortieAnaDlg := TsortieAnaDlg.create(self);
       if SortieAnaDlg.showModal=idCancel
          then finLectureParametres
          else afficheReglage;
    end;
end;

procedure TGTImainForm.StopBtnClick(Sender: TObject);
begin with grapheGTI do begin
   if modeDeconnecte then if OKReg(trFinReveil)
       then begin
           EnregistreBtn.hint := '';
           ModeDeconnecte := false;
           regleTimer;
           panelMode.enabled := true;
       end
       else exit;
   if modeAcq=AcqSA then begin    // <> ??
       etatAcq := eaTerminee;
       setBoutons;
       exit;
   end;                                              
   MonocoupTemporaire :=  not GrapheGti.Monocoup;
   Monocoup := true;
   if (modeAcq<>AcqTemps) or
      (baseDeTemps.dureeBalayage>0.1) or
      ((modeSynchro<>s_clavier) and (NbreCourant=0)) or
      not premiereAcquisition
      then begin
          setLectureParametres;
          etatAcq := eaTerminee;
          SetBoutons;
      end;
   ResetBtn.enabled := NbreAff>0;
   StopBtn.enabled := false;
   DureeSpin.enabled := true;
   NombreSpin.enabled := true;
   if (modeAcq=AcqTemps) and
      not(sortieAnalogique.active) and
      continuerCB.visible and
      continuerCB.checked then begin
          if NbreAff*2>NbreInter then NbreInter := NbreAff;
          NbreEdit.text := IntToStr(NbreInter);
          with BaseDeTemps do begin
             Maxi := deltat*NbreInter;
             DureeBalayage := Maxi;
             DureeEdit.text := chaineDuree(Maxi);
          end;
          AjusteDeltat;
          RegleTimer;
          Oscillo.refresh;
   end;
end end;

procedure TGTImainForm.ResetBtnClick(Sender: TObject);
begin
     if (grapheGti.modeAcq=AcqTemps) or (sender=nil) or
        OKreg(trDelAcq) then begin
          resetBtn.enabled := false;
          if monocoupTemporaire then begin // redpart aprs stop
              grapheGti.monocoup := false;
              monocoupTemporaire := false;
          end;
          if (etatAcq<>eaTerminee) then begin // arrt acquisition rapide 
              setLectureParametres;
              etatAcq := eaTerminee;
              SetBoutons;
          end;
          if sender<>nil then begin
              NbreAffNul;
              DebutAcquisition := now;
              derniereSauvegarde := debutAcquisition;              
          end;
          oscillo.refresh;
          initAttente;
          Frequence.valeurCourante := frequence.debutCompteur;
     end;
end;

procedure TGTImainForm.HelpBtnClick(Sender: TObject);
begin
   Application.HelpCommand(HELP_CONTENTS, 0)
end;

procedure TGTImainForm.ClavierEditKeyPress(Sender: TObject;var Key: Char);
label fin;
begin
     if key=crCR then with entreeClavier do begin
        valeurCourante := GetFloat(ClavierEdit.text);
        if valeurCourante=sansSignif then begin
           AfficheErreur(erNombre,0);
           Goto fin;
        end;
        if (valeurCourante>maxi) or (valeurCourante<mini) then begin
           ValeurCourante := sansSignif;
           AfficheErreur(FormatGti(mini)+'< '+nom+' <'+FormatGti(maxi),0);
           Goto Fin;
        end;
        EnregistrePointCourant;
        setBoutons;
        fin :
        key := #0;
        ClavierEdit.text := '';
        ClavierEdit.setFocus;
     end;
end;

procedure TGTImainForm.CapteursItemClick(Sender: TObject);
begin
   SetLectureParametres;
   ChoixCapteursDlg := TChoixCapteursDlg.create(self);
   ChoixCapteursDlg.showModal;
   ChoixCapteursDlg.free;
   FinLectureParametres;
end;

procedure TGTImainForm.OscilloMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var deplacement : boolean;
    xi,yi : integer;
begin with grapheGTI do begin
   Oscillo.hint := '';
   if modeSynchro<>s_seuil then exit;
   deplacement := ssLeft in Shift;
   Oscillo.cursor := crDefault;
   case curseur of
        curNone : begin
            with voieOrphy[voieSynchro] do
                 yi := XWindow(valeurReal(seuilSynchro));
            xi := voieOrphy[voieAbscisse].XWindow(0);
            if (basedeTemps.preAcq10>0) and (abs(xi-x)<4) then begin
               Oscillo.hint := hPreAcq;
               Oscillo.cursor := crHsplit;
            end;
            if (abs(yi-y)<4) then begin
               Oscillo.hint := hSynchro;
               Oscillo.cursor := crVsplit;
            end;
        end;
        curSynchro,curPreAcq,curSynchroPreAcq : if deplacement then begin
              TraceLignes;
              PointCurseur := Point(X,Y);
              TraceLignes;
        end;
   end;
end end;

procedure TGTImainForm.OscilloMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var xi,yi : integer;
begin with grapheGTI do begin
  curseur := curNone;
  if modeSynchro<>s_seuil then exit;
  xi := voieOrphy[voieAbscisse].XWindow(0);
  with voieOrphy[voieSynchro] do
     yi := XWindow(valeurReal(seuilSynchro));
  PointCurseur := point(x,y);
  if (baseDeTemps.preAcq10>0) and (abs(xi-x)<4) then
     curseur := curPreAcq;
  if (abs(yi-y)<4) then if curseur=curPreAcq
     then curseur := curSynchroPreAcq
     else curseur := curSynchro;
  if curseur<>curNone then traceLignes;
end end;

procedure TGTImainForm.OscilloMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

procedure affecteSynchro;
var yr : double;
    ecart : double;
begin with grapheGTI,voieOrphy[voieSynchro] do begin
      ecart := (maxi-mini)/16;
      yr := Xmonde(Y);
      if yr>(maxi-ecart) then yr := maxi-ecart;
      if yr<(mini+ecart) then yr := mini+ecart;
      seuilSynchro := valeurInt(yr);
      if seuilSynchro<32768
         then begin
             if seuilSynchro>31767 then seuilSynchro := 31767
         end
         else begin
             if (seuilSynchro<33768) then seuilSynchro := 33768;
         end;
      if not monocoup then setLectureParametres;
      afficheReglage;
end end;

procedure affectePreAcq;
var xr : double;
begin with grapheGTI do begin
      xr := voieOrphy[voieAbscisse].Xmonde(X);
      with baseDetemps do begin
         preAcq10 := preAcq10+round(xr/dureeBalayage*10);
         if preAcq10<1 then preAcq10 := 0;
         if preAcq10>9 then preAcq10 := 9;
      end;
      afficheSynchro;
end end;

begin
   if curseur<>curNone then traceLignes;
   case curseur of
       curSynchro : affecteSynchro;
       curPreAcq : affectePreAcq;
   end;
   curseur := curNone;
end;

Procedure TGTImainForm.TraceLignes;
begin with Oscillo.canvas do begin
    pen.mode := pmNotXor;
    if curseur in [curSynchro,curSynchroPreAcq] then begin
          MoveTo(0,PointCurseur.Y);
          LineTo(width,PointCurseur.Y);
    end;
    if curseur in [curPreAcq,curSynchroPreAcq] then begin
          MoveTo(PointCurseur.X,0);
          LineTo(PointCurseur.X,height);
    end;
    pen.mode := pmCopy;
end end;

procedure TGTImainForm.ComBtnClick(Sender: TObject);
begin
     screen.cursor := crHourGlass;
     testOrphy(true);
     screen.cursor := crDefault;
end;

procedure TGTImainForm.EBinGBClick(Sender: TObject);
begin
    SetLectureParametres;
    if EntreeBinDlg=nil then
       EntreeBinDlg := TEntreeBinDlg.create(self);
    EntreeBinDlg.showModal;
    if EntreeBinDlg.modif
        then afficheReglage
        else finLectureParametres
end;

procedure TGTImainForm.PointAutoCBClick(Sender: TObject);
begin
     if PointAutoCB.checked
        then statusBar.simpleText := hPointAuto
        else statusBar.simpleText := hPoint;
     EnregistreBtn.enabled := not PointAutoCB.checked;
     StopBtn.enabled := PointAutoCB.checked;
end;

procedure TGTImainForm.EscapeBtnClick(Sender: TObject);
begin
     Application.Terminate
end;

procedure TGTImainForm.DeltatSpinDownClick(Sender: TObject);
begin
     SetLectureParametres;
     BaseDeTemps.deltat := duree125(BaseDeTemps.deltat/2.15);
     SetDeltat;
end;

procedure TGTImainForm.SetDeltat;
begin
     if not (grapheGTI.modeAcq in [AcqTemps,AcqSA]) then exit;
     if sortieAnalogique.active or sortieBinaire.active
        then begin
            if (grapheGTI.modeAcq=AcqSA) and
               (BaseDeTemps.deltat<0.1) then BaseDeTemps.deltat := 0.1;
            BaseDeTemps.DureeBalayage := BaseDeTemps.deltat*NbreInter
        end
        else begin
           NbreInter := round(BaseDeTemps.DureeBalayage/BaseDeTemps.deltat);
           if NbreInter>NbreInterMax then begin
              Info(trNbreMax);
              NbreInter := NbreInterMax;
           end;
           if NbreInter<16 then NbreInter := 16;
        end;
     SetDuree;
end;

procedure TGTImainForm.DeltatSpinUpClick(Sender: TObject);
begin
     SetLectureParametres;
     BaseDeTemps.deltat := duree125(2.15*BaseDeTemps.deltat);
     SetDeltat;
end;

procedure TGtiMainForm.WMSetFocus(var Msg: Tmessage);
begin
      if ReactiverGTI then with grapheGti do begin
         ReactiverGTI := false;
         PremiereAcquisition := true;
         if modeAcq<>AcqTemps then begin
            Timer.enabled := orphyPresent;
            exit;
         end;
         Timer.enabled := false;
         EnregistreBtn.enabled := true;
         with voieOrphy[voieT] do valeurCourante := 0;
         UndoBtn.visible := false;
         ResetBtn.enabled := false;
         initAttente;
         Msg.result := 0;
      end;
end;

procedure TGTImainForm.DureeEditKeyPress(Sender: TObject;var Key: Char);
begin
     case key of
        crCR,crBas : begin
           BaseDeTemps.DureeBalayage := DateTimeToFloat(dureeEdit.text);
           setDuree;
           if key=crBas then NbreEdit.setFocus;
        end;
        '.',',' : key := decimalSeparator;
        '0'..'9','','s',' ','m','i','n','j','h',':' : ;
        crDroite,crGauche,crSuppr,crSupprArr : ;
        else key := #0
     end;
end;

procedure TGTImainForm.NbreEditKeyPress(Sender: TObject;var Key: Char);
var nombre : string;
begin
     case key of
        crCR,crHaut,crBas : begin
        try
        Nombre := NbreEdit.text;
        trimComplet(Nombre);
        NbreInter := StrToInt(Nombre);
        if NbreInter>NbreInterMax then NbreInter := NbreInterMax;
        if NbreInter<16 then NbreInter := 16;
        setNombre;
        if key=crHaut then DureeEdit.setFocus;
        if key=crBas then DeltatEdit.setFocus;
        except
        end;
     end;
     '0'..'9' : ;
     crDroite,crGauche,crSuppr,crSupprArr : ;
     else key := #0
     end;
end;

procedure TGTImainForm.DeltatEditKeyPress(Sender: TObject;var Key: Char);
begin
     case key of
        crCR,crHaut,crBas : begin
           BaseDeTemps.Deltat := DateTimeToFloat(deltatEdit.text);
           setDeltat;
           if key=crHaut then NbreEdit.setFocus;
           if key=crBas then FechEdit.setFocus;
        end;
        '.',',' : key := decimalSeparator;
        '0'..'9','-','+','E','',' ','s','m','i','n','h' : ;
        crDroite,crGauche,crSuppr,crSupprArr : ;
        else key := #0
    end;
end;

procedure TGTImainForm.FechEditKeyPress(Sender: TObject;var Key: Char);
var i : integer;
    coeff : extended;
    nombre : string;
begin
     case key of
        crCR,crHaut : begin
        nombre := FechEdit.text;
        trimComplet(Nombre);
        coeff := 1;
        i:=pos('k',nombre);
        if i>0 then begin
           delete(nombre,i,1);
           coeff := 1e-3;
        end;
        i:=pos('m',nombre);
        if i>0 then begin
           delete(nombre,i,1);
           coeff := 1e+3;
        end;
        i:=pos('Hz',nombre);
        if i>0 then delete(nombre,i,2);
        try
        BaseDeTemps.Deltat := coeff/StrToFloat(nombre);
        setDeltat;
        if key=crHaut then DeltatEdit.setFocus;
        except
        end;
     end;
     '.',',' : key := decimalSeparator;
     '0'..'9','-','+','E','H','k','z',' ' : ;
     crDroite,crGauche,crSuppr,crSupprArr : ;
     else key := #0
     end;
end;

procedure TGTImainForm.DureeEditExit(Sender: TObject);
var key : char;
begin
     key := crCR;
     DureeEditKeyPress(sender,key)
end;

procedure TGTImainForm.NbreEditExit(Sender: TObject);
var key : char;
begin
     key := crCR;
     NbreEditKeyPress(sender,key)
end;

procedure TGTImainForm.DeltatEditExit(Sender: TObject);
var key : char;
begin
     key := crCR;
     DeltatEditKeyPress(sender,key)
end;

procedure TGTImainForm.FechEditExit(Sender: TObject);
var key : char;
begin
     key := crCR;
     FechEditKeyPress(sender,key)
end;

procedure TGTImainForm.PlusBtnClick(Sender: TObject);
begin
     (sender as TtoolButton).CheckMenuDropdown;
end;

procedure TGTImainForm.GTBFItemClick(Sender: TObject);
begin
    SetLectureParametres;
    GTBFitem.checked := not GTBFItem.checked;
    if GTBFItem.checked
      then begin
         if GBFform=nil then GBFform := TGBFform.create(self);
         GBFform.visible := true
      end
      else if GBFform<>nil then GBFform.visible := false;
    afficheReglage;
end;

procedure TGTImainForm.SortieBinGBClick(Sender: TObject);
begin
    SetLectureParametres;
    if SortieBinDlg=nil then
       SortieBinDlg := TSortieBinDlg.create(self);
    if SortieBinDlg.showModal=idCancel
       then finLectureParametres
       else afficheReglage;
end;

procedure TGTImainForm.RepereBtnClick(Sender: TObject);
var texte : String;
    InstantClick : double;
begin
     if grapheGTI.NbreAff>0
        then instantClick := BaseDeTemps.vecteurAff[pred(grapheGTI.NbreAff)]
        else instantClick := 0;
     texte := '';
     if InputQuery(trCreerRepere,trSignif,texte)
        then grapheGTI.AjouteRepere(instantClick,texte);
end;

procedure TGTImainForm.PleinEcranItemClick(Sender: TObject);
begin
     PleinEcranItem.checked := not PleinEcranItem.checked;
     if PleinEcranItem.checked
        then begin
             if VoltMetreItem.checked then VoltmetreItemClick(Sender);
             PanelCourbe.Align := alNone;
             PanelCourbe.Width := ClientWidth;
             PanelCourbe.Height := ClientHeight-statusBar.height-ToolBar1.height;
        end
        else begin
             PanelCourbe.Align := alClient;
        end;
end;

procedure TGTImainForm.FormResize(Sender: TObject);
begin
     if PleinEcranItem.checked then begin
         PanelCourbe.Width := ClientWidth;
         PanelCourbe.Height := ClientHeight-StatusBar.height-ToolBar1.height;
     end;
     SetSizeVoie;
end;

procedure TGTImainForm.FFTbtnClick(Sender: TObject);
begin
     if FFTBtn.down then MajFFT
end;

procedure TgtiMainForm.MaJFFT;
var v : indiceVoie;
    i : indiceVecteur;
begin with grapheGTI do begin
     if nbreAff<32 then exit;
     for v := voieA to voieAnaMax do with voieOrphy[v] do
         if active then begin
            Fourier(NbreAff,baseDetemps.dureeBalayage,
                    vecteurAff,
                    voieOrphy[voieT].vecteurFFT,vecteurFFT);
            maxiFFT := 0;
            for i := 0 to Pred(NbreFFT) do
                if vecteurFFT[i]>maxiFFT then maxiFFT := vecteurFFT[i];
     end;
end end;

Procedure TgtiMainForm.ModifNbreFFT(plus : boolean);
begin with grapheGTI do begin
    if plus
       then NbreFFT := 2*NbreFFT
       else NbreFFT := NbreFFT div 2;
    if NbreFFT>MaxFFT then NbreFFT := MaxFFT;
    if NbreFFT<16 then NbreFFT := 16;
    oscillo.refresh;
end end;

procedure TGTImainForm.NbreSpinDownClick(Sender: TObject);
begin
     ModifNbreFFT(false)
end;

procedure TGTImainForm.NbreSpinUpClick(Sender: TObject);
begin
     ModifNbreFFT(true)
end;

procedure TGTImainForm.HanningBtnClick(Sender: TObject);
begin
     fenetreHamming := (sender as TspeedButton).tag<>0;
     inverserIndices;
     MajFFT;
     oscillo.refresh;
end;

procedure TGTImainForm.OptionsItemClick(Sender: TObject);
var oldVitesse : integer;
    newReco : boolean;
begin
    setLectureParametres;
    if OptionsDlg=nil then
        OptionsDlg := TOptionsDlg.create(self);
    oldVitesse := VitesseCom;
    OptionsDlg.showModal;
    if oldVitesse<>VitesseCom then begin
        ecritOrphy('YBAUDS '+vitesseChar[vitesseCom]);
        sleep(150); // ms
        VoieSerie.baud := VitesseInt[vitesseCom];
        afficheReglage;
    end;
    newReco := avecRecoAuto and not modeDeconnecte;
    if newReco<>recoBtn.visible then begin
       recoBtn.visible := newReco;
       if newReco then reconnaissance;
    end;
    afficheReglage;
end;

procedure TGTImainForm.PanelSplitDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
var P : Tpoint;
    largeur : integer;
begin
   P := Point(x,y);
   P := (Sender as Tcontrol).ClientToScreen(P);
   P := PanelCourbe.ScreenToClient(P);
   Largeur := ClientWidth-P.X-PanelMode.width;
   Accept := largeur>80;
   if accept then PanelVoies.Width := Largeur;
   setSizeVoie;
end;

Procedure TGTImainForm.SetSizeVoie;

Procedure GrandeTaille;
var voie : indiceVoie;
    Hauteur,HauteurAutre : integer;
    HauteurFonteGB,HauteurFonteLabel : integer;
    Largeur,largeurBis : integer;
begin
   grapheGTI.NbreVoieAna := 0;
   if grapheGTI.modeAcq=AcqMagnum then begin
      for voie:=voieF to VoieMax do with grapheGTi.voieOrphy[voie] do begin
           GroupBox.color := clBtnFace;
           GroupBox.height := 28;
      end;
      with grapheGTI.voieOrphy[voieMagnum] do begin
             GroupBox.height := 45;
                      GroupBox.color := couleur;
                      LabelVoie.Font.color := clWhite;
                      GroupBox.Font.color := clWhite;
         end;
      exit;
   end;
   for voie:=voieF to VoieAnaMax do
       if grapheGTi.voieOrphy[voie].active then inc(grapheGTi.NbreVoieAna);
   HauteurAutre := 0;
   for voie:=voieSA to VoieMax do with grapheGTi.voieOrphy[voie] do begin
      if active
         then begin
                   GroupBox.color := couleur;
                   LabelVoie.Font.color := clWhite;
                   GroupBox.Font.color := clWhite;
            GroupBox.height := 45;
         end
         else begin
            GroupBox.color := clBtnFace;
            GroupBox.height := 28;
         end;
      if ((voie<voieF) or (voie>voieAnaMax)) and
           GroupBox.visible then
               inc(HauteurAutre,GroupBox.height);
   end;
   Hauteur := (PanelVoies.height-HauteurAutre) div grapheGTi.NbreVoieAna;
   Hauteur := 2*(Hauteur div 2);
   for voie := voieF to voieAnaMax do with grapheGti.voieOrphy[voie] do
       if active then begin
             Largeur := length(GroupBox.caption);
             if Largeur=0 then largeur := 12;
             Largeur := (2*PanelVoies.width) div largeur;
             if largeur<11 then largeur := 11;
               { 11 = taille Mini de Fonte Bitmap }
             LargeurBis := PanelVoies.width div 4;
             if LargeurBis<Largeur then Largeur := LargeurBis;
             if Largeur*3<Hauteur then Hauteur := Largeur*3;
       end;
   HauteurFonteGB := 2*(hauteur div 8);
   if hauteurFonteGB<8 then HauteurFonteGB := 8;
   if HauteurFonteGB>16 then HauteurFonteGB := 16;
   HauteurFonteLabel := Hauteur - 3*HauteurFonteGB;
   LargeurBis := PanelVoies.width div 4;
        { 6 caractres hauteur = 2/3 largeur }
   if LargeurBis<HauteurFonteLabel then HauteurFonteLabel := LargeurBis;
   if hauteurFonteLabel<15 then HauteurFonteLabel := 10;
   hauteur := 2*HauteurFonteGB+HauteurFonteLabel;
   for voie := voieF to voieAnaMax do with grapheGti.voieOrphy[voie] do
       if active then begin
             GroupBox.font.size := HauteurFonteGB;
             GroupBox.height := hauteur;
             GroupBox.font.name := 'Calibri';
             if hauteurFonteGB=15
                then GroupBox.font.size := 10
                else GroupBox.font.height := HauteurFonteGB;
             LabelVoie.font.name := 'Courier New';
             if hauteurFonteLabel=15
               then LabelVoie.font.size := 10
               else LabelVoie.font.height := HauteurFonteLabel;
             LabelVoie.top := HauteurFonteGB;
     end;
end;

Procedure petiteTaille;
var voie : indiceVoie;
    Fsize : integer;
begin
if height>480 then Fsize := 12 else Fsize := 10;
with grapheGTI do
    for voie := voieMagnum to voieAnaMax do with voieOrphy[voie] do
       if active then begin
                    GroupBox.color := couleur;
                    LabelVoie.Font.color := clWhite;
                    GroupBox.Font.color := clWhite;
             GroupBox.height := 45;
             GroupBox.font.size := Fsize;
             GroupBox.font.name := 'Calibri';
             LabelVoie.font.name := 'Courier';
             LabelVoie.font.size := Fsize;
             LabelVoie.top := 20;
       end
       else begin
             GroupBox.color := clBtnFace;
             GroupBox.height := 30;
             GroupBox.font.size := Fsize-2;
       end;
end;

begin
  if VoltMetreItem.checked
       then grandeTaille
       else petiteTaille;
end;

procedure TGTImainForm.VoltmetreItemClick(Sender: TObject);
begin
    VoltMetreItem.checked := not VoltMetreItem.checked;
    if VoltMetreItem.checked
       then begin
           if PleinEcranItem.checked then PleinEcranItemClick(Sender);
           PanelVoies.width := ClientWidth-4;
           PanelMode.width := 2;
       end
       else begin
           PanelVoies.Width := 120;
           PanelMode.width := 120;
       end;
   setSizeVoie;
end;

procedure TGTImainForm.ContinuerBtnClick(Sender: TObject);

Procedure DoubleDuree;
begin
     NbreInter := 2*NbreInter;
     if NbreInter>NbreInterPlus
        then NbreInter := NbreInterPlus;
     Gauge.Max := pred(NbreInter);
     NbreEdit.text := IntToStr(NbreInter);
     with BaseDeTemps do begin
          Maxi := deltat*NbreInter;
          DureeBalayage := Maxi;
          DureeEdit.text := chaineDuree(DureeBalayage);
    end;
    Oscillo.refresh;
end;

begin
   if modeDeconnecte and
     (etatAcq=eaAttenteReveil)
       then begin
            if OKReg(trDoubleDuree) then DoubleDuree;
       end
  else begin
     OrdreResul := 'YRESUL! '+IntToStr(NbreInter*NbreVoie)+' ';
     DoubleDuree;
     OrdreResul := OrdreResul+IntToStr(pred(NbreInter*NbreVoie));
     if preAcqEnCours then setYasc(true) else setYbin;
     ecritOrphy(ordreResul);
     etatAcq := eaAttenteResul;
     voieCourante := voieDebut;
     StopBtn.enabled := true;
     ContinuerBtn.enabled := false;
     timer.enabled := true;
  end;
end;

procedure TGTImainForm.ModeDeconnecteItemClick(Sender: TObject);
begin
    if etatAcq<>eaAttenteResul then setLectureParametres;
    if not modeDeconnecte and
       OKReg(trDeconnect) then begin
           if not (etatAcq in [eaAttenteResul,eaAttenteReveil]) then begin
                DebutAcquisition := now;
                derniereSauvegarde := debutAcquisition;                
                ecritOrphy(ordreProgramme);
                ecritOrphy(ordreLance);
            end;
            ModeDeconnecte := true;
    end;
    if modeDeconnecte
       then begin
           Timer.enabled := false;
           close
       end
       else afficheReglage;
end;

procedure TGTImainForm.MenuPopup(Sender: TObject);
begin
    ModeDeconnecteItem.visible :=
       not preAcqEnCours and
       ((baseDeTemps.dureeBalayage>DureeMinDeconnect) or
        (baseDeTemps.deltat>1)) and
        (grapheGTI.modeAcq=AcqTemps);
    GTBFitem.Visible := not grapheGTI.voieOrphy[voieSA].active and
                       (grapheGTI.modeAcq<>AcqSA);
end;

procedure TGTImainForm.MagnumGBClick(Sender: TObject);
begin
     if magnumCfg=nil then
        MagnumCfg := TmagnumCfg.create(self);
     MagnumCfg.showModal;
     afficheReglage;
end;

procedure TGTImainForm.StopMagnum;

procedure StopErreur(astr : String);
begin
        NbreAffNul;
        Oscillo.refresh;
        afficheErreur(astr,0);
        initAttente;
end;

var Nbre,coeff : integer;
begin with grapheGTI do begin
      if GetNombreBin(Nbre) then begin
         if Nbre>12 then begin
            if chuteMagnum then coeff := 2 else coeff := 3;
            if Nbre>coeff*MaxVecteur then Nbre := MaxVecteur*coeff;
            grapheGTI.NbreCourant := 0;
            NbreAffNul;
            screen.cursor := crHourGlass;
            etatAcq := eaAttenteResulMag;
            NbreInter := Nbre div coeff; // NbreInter minimum 4
            Gauge.Max := NbreInter;
            indexMagnum := date1;
            statusBar.simpleText := hLectureMagnum+' '+intToStr(NbreInter);
            stopBtn.enabled := true;
            ecritOrphy('YRESUL 0 '+intToStr(pred(Nbre)));
            timer.enabled := true;
          end
          else stopErreur(erMagnumInf6);
      end
      else stopErreur(erMagnum);
end end; {stopMagnum}

procedure TGTImainForm.IncrementBtnClick(Sender: TObject);
begin
     frequence.decrementer := incrementBtn.down
end;

Function TGTIMainForm.WaitCR(commande : shortString;timeOut : integer) : boolean;
var Timer : EventTimer;
    C : ansiChar;
begin
    result := orphyPresent;
    if not result then exit;
    ecritOrphy(commande);
    newTimer(timer,timeOut);
    C := #0;
    repeat
        if voieSerie.charReady
           then begin
              C := voieSerie.GetChar;
              if C>=' ' then chaineLue := chaineLue+C;
           end
           else begin
              voieSerie.processCommunications;
           end;
    until (C=crCR) or timerExpired(timer);
    voieSerie.processCommunications;    
    application.processMessages;
    voieSerie.FlushInBuffer; // pb si nbre de carac > 8 
    result := chaineLue<>'';
end;

Function TGTIMainForm.GetNombre(var Anombre : integer) : boolean;
var Timer : EventTimer;
    C : ansiChar;
    reponse : shortString;
begin
    result := orphyPresent;
    if not result then exit;
    Anombre := 0;
    SetYasc(false);
    reponse := '';
    ecritOrphy('YNME');
    newTimer(timer,5);
    C := #0;
    repeat
        if voieSerie.charReady
           then begin
              C := voieSerie.GetChar;
              if C in ['0'..'9'] then reponse := reponse+C;
           end
           else begin
              voieSerie.processCommunications;
              application.processMessages;
           end
    until (C=',') or timerExpired(timer);
    newTimer(timer,4);
    C := #0;    
    repeat
        if voieSerie.charReady
           then C := voieSerie.GetChar
           else begin
              voieSerie.processCommunications;
              application.processMessages;
           end;
    until (C=crCR) or timerExpired(timer);
    result := C=crCR;
    try
    Anombre := strToInt(reponse);
    except
    result := false;
    end;
    sleep(100);
    voieSerie.FlushInBuffer; // pb si nbre de carac > 8  ? 
end;

Function TGTIMainForm.GetNombreBin(var Anombre : integer) : boolean;
var Timer : EventTimer;
    C :   ansiChar;
    compteur : integer;
    valeur : pseudoWord;
begin
    Anombre := 0;
    result := orphyPresent;
    if not result then exit;
    voieSerie.OnTriggerAvail := nil;
    ecritOrphy('YNME');
    newTimer(timer,5);
    compteur := 0;
    repeat
        if voieSerie.charReady
           then begin
              C := voieSerie.GetChar;
              valeur.octets[compteur] := C;
              inc(compteur);
           end
           else begin
              voieSerie.processCommunications;
              application.processMessages;
           end
    until (compteur=4) or timerExpired(timer);
    result := compteur=4;
    anombre := valeur.mot;
    voieSerie.OnTriggerAvail := TriggerAvailBin;
end;

Procedure TGTImainForm.NbreAffNul;
begin
     grapheGti.NbreAff := 0;
     FileSaveItem.visible := false;
     ClipSaveItem.visible := false;
     RegSaveBtn.visible := false;
     PremiereAcquisition := true;
end;

procedure TGTImainForm.VideInBuffer(commande : shortString);
var sauveEtat : TetatAcq;
    Timer : EventTimer;
begin
        screen.cursor := crHourGlass;
        sauveEtat := etatAcq;
        etatAcq := eaFlush;
        newTimer(timer,18);  // 1 seconde
        ecritOrphy(commande);
        sleep(50); // ms
        repeat
           VoieSerie.flushInBuffer;
           Application.processMessages;
// vide buffer des messages RS232 Windows
           sleep(20); // ms
           VoieSerie.processCommunications;
        until not VoieSerie.charReady or timerExpired(timer);
        etatAcq := sauveEtat;
        screen.cursor := crDefault;
end;

procedure TGTImainForm.VideBuffers;
var Timer : EventTimer;
begin
      if not OrphyPresent then exit;
      newTimer(timer,18);  // 1 seconde
      repeat
          Application.processMessages;
          sleep(50); // ms
          VoieSerie.processCommunications;
      until (VoieSerie.outBuffUsed=0) or timerExpired(timer);
      voieSerie.FlushInBuffer;
end;

procedure TGTImainForm.RazComItemClick(Sender: TObject);
begin
     setLectureParametres;
     timer.Enabled := false;
     voieSerie.open := false;
     orphyPresent := false;
     sleep(100);
     try
     Application.ProcessMessages;
     except
     end;
     sleep(100);
     voieSerie.open := true;
     orphyPresent := true;
     screen.cursor := crHourGlass;
     ecritOrphy('YRESTART'); { 5 s  'YRESET' 25 ms }
     sleep(2000); // 2 s
     UtilSeuilCharge := false;
     UtilRecoCharge := false;
     voieSerie.baud := 9600;
     YbinActif := false;
     ecritOrphy('YASC');
     ecritOrphy('YBUFFER 0 16146 1024');
     ecritOrphy('XSTOPS 0');
     ecritOrphy('YINTEGER');
     screen.cursor := crDefault;
     afficheReglage;
end;

procedure TGTImainForm.MagnumSEChange(Sender: TObject);
begin
    magnum.attente := MagnumSE.value;
end;

procedure TGTImainForm.RecoBtnClick(Sender: TObject);
begin
  setlectureParametres;
  if not UtilRecoCharge then chargeUtil(false,true);
  if reconnaissance
     then AfficheReglage
     else finLectureParametres;
end;

function TGTIMainForm.Reconnaissance : boolean;
var codage : Tcodage;
    modif : boolean;

Procedure setCapteurAuto(indexC,numero : integer);
var i : integer;
    voie : indiceVoie;
    Ainitialiser : boolean;
begin
// cas marteau rflexe non prvu
    for voie := voieA to VoieAnaMax do with grapheGTI.voieOrphy[voie] do
        if active and (indexCapteurAuto=indexC) and
           (numeroOrphy=numero) and priseInitialisee[numero] then exit;
    voie := voieA;
    while (voie<voieAnaMax) and
          grapheGTI.voieOrphy[voie].active and 
          (grapheGTI.voieOrphy[voie].numeroOrphy<>numero) do inc(voie);
    with grapheGTI.voieOrphy[voie] do begin
          active := true;
          Ainitialiser := (indexCapteurAuto<>indexC) or (numeroOrphy<>numero);
          indexCapteurAuto := indexC;
          etalonnage := eAuto;
          modif := true;
          if Ainitialiser then with ListeCapteursAuto[indexCapteurAuto] do begin
                nom := nomC;
                nomUnite := nomUniteC;
                signif := signifC;
                tension := tensionC;
                calculPente;
                mini := miniAff;
                maxi := maxiAff;
          end; // with capteurs
          numeroOrphy := numero;
          avecPotar := false;
      end; // with voie 
      WRPOTAR(numero);
      priseInitialisee[numero] := true;
      with ListeCapteursAuto[indexC] do
           for i := 0 to MaxPotarAuto do
               if PotarActif[i] then
                  if valeurPotar[i]>0
                     then begin
                          WEPOTAR(numero,i,valeurPotar[i]);
                          WMPOTAR(numero,i);
                     end
                     else afficheErreur( 'Etalonnez votre capteur',0);
end;

procedure setPrise(indexC,numero : integer);
var voie : indiceVoie;
begin
    if indexC=0 then begin
       priseInitialisee[numero] := false;
       for voie := voieA to VoieAnaMax do with grapheGTI.voieOrphy[voie] do
           if active and
              (numeroOrphy=numero) and
              (indexCapteurAuto>0) then begin // capteur dbranch
                 active := false;
                 modif := true;
                 indexCapteurAuto :=  0;
                 NomUnite := 'V';
                 Signif := '';
                 mini := -10;
                 maxi := +10;
                 nom := 'V'+intToStr(voie-voieA);
            end;
       end
       else if indexC<=MaxCapteurAuto
            then setCapteurAuto(indexC,numero);
end;

function GetReco : boolean;
var i : integer;
    Timer : EventTimer;
begin
    for i := 0 to 3 do codage.octets[i] := #0;
    setYbin;
    voieSerie.OnTriggerAvail := nil;
    ecritOrphy(ordreWRECO);
    newTimer(timer,6);
    i := 0;
    repeat
        if voieSerie.charReady
           then begin
              codage.octets[i] := voieSerie.GetChar;
              inc(i);
           end
           else begin
              voieSerie.processCommunications;
              application.processMessages;
           end
    until (i=4) or timerExpired(timer);
    result := i=4;
end;

const indexCapteurMagnum = 15;
var i : integer;
begin
    result := false;                   
    if not UtilRecoCharge or not avecRecoAuto then exit;
    if GetReco then begin
       modif := false;
       setPrise(codage.indexG,12);
       setPrise(codage.indexH,13);
       setPrise(codage.indexI,14);
       setPrise(codage.indexJ,15);
       result := modif;
       if grapheGTI.modeAcq=AcqMagnum then begin
          i := 0;
          while (i<3) and (codage.bits[i]<>indexCapteurMagnum) do inc(i);
          if codage.bits[i]<>indexCapteurMagnum
             then begin
                  grapheGTI.modeAcq := AcqTemps;
                  result := true;
             end;
          end;
    end;
end;

procedure TGTImainForm.CapteursAutoItemClick(Sender: TObject);
begin
   SetLectureParametres;
   CapteurAutoDlg := TCapteurAutoDlg.create(self);
   CapteurAutoDlg.showModal;
   CapteurAutoDlg.free;
   FinLectureParametres;
end;

procedure TGTImainForm.MonocoupCBClick(Sender: TObject);
begin with grapheGTI do begin
  monocoup := monocoupCB.checked;
  ContinuerCB.visible := monocoup and (NbreInterPlus>NbreInter);
  ResetBtn.enabled := monocoup and (etatAcq=eaTerminee) and (NbreAff>0);
  ContinuerBtn.enabled := continuerCB.visible and continuerCB.checked;
  if not monocoup and (etatAcq=eaTerminee) then begin
         PremiereAcquisition := false;
         LanceAcqTemps;
  end;
end end;

procedure TGTImainForm.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if key=vk_space then
      if EnregistreBtn.enabled
         then EnregistreBtnClick(sender)
         else if StopBtn.enabled
              then StopBtnClick(sender)      
              else if ResetBtn.enabled
                   then ResetBtnClick(sender);
  if key=vk_F5 then PleinEcranItemClick(sender);
  if key=vk_F6 then VoltmetreItemClick(sender);
end;

procedure TGTImainForm.ConfigActuelleClick(Sender: TObject);
begin
  sauverConfig := false;
  SauveConfig(appDataDir+'GTI');
end;

end.


