unit Sbdlg;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, spin, ExtCtrls, sysutils, Grids, Dialogs, TabNotBk,
  gtiutil, gtidef, graphe, tradFormU, constgti, ComCtrls;

type
  TSortieBinDlg = class(TtradForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Panel1: TPanel;
    ModeSBNB: TPageControl;
    Label6: TLabel;
    FinSE: TSpinEdit;
    Label1: TLabel;
    DebutSE: TSpinEdit;
    Label4: TLabel;
    GroupBox1: TGroupBox;
    ModeSBRG: TRadioGroup;
    DesactiveBtn: TBitBtn;
    HelpBtn: TBitBtn;
    NbreBinSE: TSpinEdit;
    AideNbre: TLabel;
    Image1: TImage;
    NbreSE: TSpinEdit;
    Label2: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ModeSBRGClick(Sender: TObject);
    procedure DesactiveBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure NbreBinSEChange(Sender: TObject);
    procedure DebutSEChange(Sender: TObject);
    procedure FinSEChange(Sender: TObject);
    procedure NbreSEChange(Sender: TObject);
  private
  public
  end;

var
  SortieBinDlg: TSortieBinDlg;

implementation

{$R *.DFM}

procedure TSortieBinDlg.OKBtnClick(Sender: TObject);
begin
     with sortieBinaire do begin
        Active := true;
        ModeSB := TmodeSB(ModeSBRG.itemIndex);
        Modif := true;
        if ModeSB=sbEchelon then begin
             FinEchelon := FinSE.value;
             DebutEchelon := DebutSE.value;
             NbreInterSB := NbreSE.value;
        end;
        calcVecteur;
     end;
end;

procedure TSortieBinDlg.FormActivate(Sender: TObject);
begin
     with sortieBinaire do begin
        ModeSbRg.itemIndex := ord(modeSB);
        FinSE.value := FinEchelon;
        DebutSE.value := DebutEchelon;
        NbreSE.value := NbreInterSB;
        NbreBinSE.value := NbreSB;
    end;
end;

procedure TSortieBinDlg.ModeSBRGClick(Sender: TObject);
begin
      ModeSBNB.activePageIndex := ModeSBRG.itemIndex
end;

procedure TSortieBinDlg.DesactiveBtnClick(Sender: TObject);
begin
     sortieBinaire.active := false
end;

procedure TSortieBinDlg.HelpBtnClick(Sender: TObject);
begin
   Application.HelpContext(14)
end;

procedure TSortieBinDlg.NbreBinSEChange(Sender: TObject);
begin
     SortieBinaire.NbreSB := NbreBinSE.value;
     aideNbre.caption := 'LSB=SB8   MSB=EB'+IntToStr(7+SortieBinaire.NbreSB);
end;

procedure TSortieBinDlg.DebutSEChange(Sender: TObject);
begin
      FinSE.minValue := DebutSE.value+1;
end;

procedure TSortieBinDlg.FinSEChange(Sender: TObject);
begin
     DebutSE.maxValue := FinSE.value-1;
     NbreSE.minValue := FinSE.value+1;
end;

procedure TSortieBinDlg.NbreSEChange(Sender: TObject);
begin
     FinSE.maxValue := NbreSE.value-1;
end;

end.
